<style>
	#admin-patients-filters label {
		font-weight: bold;
	}

	#admin-patients-filters .mw-100px {
		min-width: 100px;
	}

	.filter-container {
		display: flex;
		align-items: flex-start;
		flex-wrap: wrap;
	}

	.filter-container>div {
		width: 165px;
	}

	.filter-container>div:not(:last-child) {
		margin-right: 10px;
	}

	.sm-section {
		width: auto !important;
	}
</style>
<form id="admin-patients-filters" method="GET" action="{{ route('admin.patients-notes-points-filter') }}" class="filter-container" v-cloak>
	<div class="sm-section">
		<div class="">
			<label>Filter String:</label>
			<input name="string" class="form-control input-sm" v-model="filters.string">
			<small class="text-muted">Separate by comma</small>
		</div>
	</div>

	<div>
		<div class="">
			<label>&nbsp;</label>
			<div class=" d-flex">
				<button type="button" v-on:click.prevent="doSubmit()" class="btn btn-primary btn-sm mr-2"><i class="fas fa-filter"></i> Filter</button>
				<a href="#" v-on:click.prevent="fastLoad('{{route('admin.patients-notes-points-filter')}}')" class="btn btn-link btn-sm text-danger">Clear</a>
			</div>
		</div>
	</div>
</form>

<?php
$loadedFilters = @$filters;
$allFilterKeys = [
	'string',
];
for ($i = 0; $i < count($allFilterKeys); $i++) {
	if (!isset($loadedFilters[$allFilterKeys[$i]]) || !$loadedFilters[$allFilterKeys[$i]]) {
		$loadedFilters[$allFilterKeys[$i]] = '';
	}
}
?>
<script>
	(function() {
		function init() {
			new Vue({
				el: '#admin-patients-filters',
				delimiters: ['@{{', '}}'],
				data: {
					filters: <?= json_encode($loadedFilters) ?>
				},
				methods: {
					init: function() {

					},
					doSubmit: function() {
						fastLoad("{{ route('admin.patients-notes-points-filter') }}?" + $('#admin-patients-filters').serialize());
						return false;
					}
				},
				mounted: function() {
					this.init();
				},
			});


		}
		addMCInitializer('admin-patients-filters', init, '#admin-patients-filters');
	})();
</script>