<?php
$patientEngagementColorCodes = @Config::get('constants.client_engagement_status_color_codes');
?>
<div>
    @include('app.admin.patients-results-view-options')
</div>
<div class="table-responsive border-top" style="height: calc(100vh - 280px)" id="admin-patients-list-extended">
    <table class="table p-0 m-0 table-sm table-striped table-bordered border-bottom text-nowrap">
        <thead class="bg-light">
            <tr>
                <th class="border-0">@include('app.practice-management._sort_header', [
                    'route' => route('admin.patients'),
                    'label' => 'Status',
                    'key' => 'client_engagement_status_category',
                ])</th>
                <th class="border-0 width-90px text-secondary">#</th>
                <th class="border-0">@include('app.practice-management._sort_header', [
                    'route' => route('admin.patients'),
                    'label' => 'Name',
                    'key' => 'name_first',
                ])</th>
                @if ($pro->pro_type == 'ADMIN')
                    <th class="border-0 text-secondary">MCP</th>
                @endif
                <th class="border-0 text-secondary">State</th>
                <th class="border-0 text-secondary">Insurance</th>
                @if ($performer->pro->pro_type == 'ADMIN')
                    <th class="border-0 text-secondary">Ded.</th>
                @endif
                <th class="border-0 text-secondary">Age</th>
                <th class="border-0">@include('app.practice-management._sort_header', [
                    'route' => route('admin.patients'),
                    'label' => 'Last Visit',
                    'key' => 'most_recent_completed_mcp_note_date',
                ])</th>
                <th class="border-0 text-secondary"></th>
                <th class="border-0 text-secondary">Last Memo</th>
                <th class="border-0 text-secondary">Notes</th>
                <th class="border-0 text-secondary">Next Appt.</th>
                <th class="border-0">@include('app.practice-management._sort_header', [
                    'route' => route('admin.patients'),
                    'label' => 'BP/Pulse Timestamp',
                    'key' => 'most_recent_cellular_bp_measurement_at',
                ])</th>
                <th class="border-0">@include('app.practice-management._sort_header', [
                    'route' => route('admin.patients'),
                    'label' => 'Weight Timestamp',
                    'key' => 'most_recent_cellular_weight_measurement_at',
                ])</th>
                <th class="border-0">@include('app.practice-management._sort_header', [
                    'route' => route('admin.patients'),
                    'label' => 'Created',
                    'key' => 'created_at',
                ])</th>
                <th class="border-0 text-secondary">Assigned On</th>
                <th class="border-0 text-secondary">NA</th>

                <th class="border-0 text-secondary">Temp. Gun</th>
                <th class="border-0 text-secondary">Pulse Ox.</th>
                <th class="border-0 text-secondary">Cell. Bp</th>
                <th class="border-0 text-secondary">Wt. Scale</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($patients as $patient)
                <tr>
                    <td
                        style="background-color:<?= @$patientEngagementColorCodes[$patient->client_engagement_status_category] ?: '' ?>;">
                        {{ $patient->client_engagement_status_category == 'DUMMY' ? 'Test Record' : $patient->client_engagement_status_category }}
                    </td>
                    <td>
                        <a native target="_blank" href="{{ route('patients.view.dashboard', $patient->uid) }}">
                            {{ $patient->chart_number }}
                        </a>
                    </td>
                    <td>
                        <div class="d-flex align-items-baseline flex-nowrap">
                            <span>{{ $patient->display_name }}</span>
                            <div class="on-hover-show d-inline-block on-hover-opaque ml-auto mr-1">
                                <i class="fa fa-info-circle ml-1 {{ $patient->last_memo_created_at ? '' : 'opacity-35' }}"></i>
                                <div class="on-hover-content py-2 pl-3 text-nowrap text-dark"
                                    style="left:0;right:auto;">
                                    @if ($patient->last_memo_created_at)
                                        <p class="mb-1 font-weight-bold text-secondary">Last Memo:
                                            {{ $patient->last_memo_category }}</p>
                                        <div class="text-wrap mb-1">{{ $patient->last_memo_content }}</div>
                                        <div class="text-secondary text-sm mb-1">
                                            {{ friendly_date_time($patient->last_memo_created_at) }}</div>
                                        @if ($patient->last_memo_created_by_pro_display_name)
                                            <div class="text-secondary text-sm">By
                                                {{ $patient->last_memo_created_by_pro_display_name }}</div>
                                        @endif
                                    @else
                                        <div class="text-secondary">No client memos.</div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </td>
                    @if ($pro->pro_type == 'ADMIN')
                        <td>
                        @if(@$patient->mcp_pro_display_name)
                            {{ $patient->mcp_pro_display_name }}
                            @if(!$patient->mcp_is_hcp)
                                <small class="text-danger font-weight-bold"><i class="fas fa-exclamation-triangle fa-fw"></i> {{ $patient->mcp_pro_display_name }} is no longer HCP.</small>
                            @endif
                        @else
                            --
                        @endif
                        </td>
                    @endif
                    <td>{{ $patient->mailing_address_state }}</td>
                    <td class="{{ $patient->mpb_remaining === 0 ? 'deductible-zero' : '' }}">
                        @include('app.patient.coverage_column_fast_renderer', ['patient' => $patient])

                    </td>
                    @if ($performer->pro->pro_type == 'ADMIN')
                        <td>
                            <small class="d-block text-sm text-muted">
                                <span class="font-weight-bold">{{ format_number(@$patient->mpb_remaining) }}</span>
                            </small>
                        </td>
                        <td>{{ $patient->age_in_years }}</td>
                    @endif
                    <td>
                        {{ friendly_date($patient->most_recent_completed_mcp_note_date) }}
                    </td>
                    <td>
                        @if ($patient->last_mcp_appointment_display_name)
                            <small class="text-muted">{{ $patient->last_mcp_appointment_display_name }}</small>
                        @endif
                    </td>
                    <td>
                        @if ($patient->last_memo_created_at)
                            {{ friendly_date($patient->last_memo_created_at) }}
                            <?php
                        $daysAgo = date_diff(date_create($patient->last_memo_created_at), date_create('now'))->days;
                        if ($daysAgo > 0) {
                            ?>
                            <span class="text-sm text-secondary">({{ $daysAgo }} day{{ $daysAgo > 1 ? 's' : '' }}
                                ago)</span>
                            <?php
                        }
                        ?>
                        @else
                            -
                        @endif
                    </td>
                    <td class="p-0 pb-1">
                        <div class="p-1">
                            {{ $patient->active_notes_count }}
                        </div>
                    </td>
                    <td>{{ $patient->next_mcp_appointment_raw_date ? friendly_date_time($patient->next_mcp_appointment_raw_date . ' ' . $patient->next_mcp_appointment_start_time) : '' }}
                        <span if-grid-view>
                            @if ($patient->next_mcp_appointment_raw_date)
                                {{-- {{$patient->next_mcp_appointment_status}} --}}
                            @elseif($patient->most_recent_completed_mcp_note_date)
                                <div class="w-100 text-nowrap overflow-hidden text-ellipsis max-width-170px"
                                    title="{{ $patient->most_recent_completed_note_followup_memo }}">
                                    <b>No</b>
                                    {{ $patient->most_recent_completed_note_followup_memo }}
                                </div>
                            @endif
                        </span>
                        <div if-details-view>
                            @if ($patient->next_mcp_appointment_raw_date)
                                {{ $patient->next_mcp_appointment_status }}
                            @elseif($patient->most_recent_completed_mcp_note_date)
                                <b>No</b>
                                {{ $patient->most_recent_completed_note_followup_memo }}
                            @endif
                        </div>
                    </td>
                    <td>{{ friendlier_date_time($patient->most_recent_cellular_bp_measurement_at) }}</td>
                    <td>{{ friendlier_date_time($patient->most_recent_cellular_weight_measurement_at) }}</td>
                    <td>
                        <div title="{{ friendly_date_time($patient->created_at) }}">
                            {{ friendly_date_time($patient->created_at, false) }}</div>
                        <div class="mt-1" if-details-view>
                            By <span>{{ $patient->creator_display_name ? $patient->creator_display_name : '-' }}</span>
                        </div>
                    </td>
                    <td>{{ friendly_date($patient->mcp_assigned_on) }}</td>
                    <td>{{ $patient->dna_display_name ? $patient->dna_display_name : '-' }}</td>

                    <td>{{ $patient->temparature_gun_delivery_status }}</td>
                    <td>{{ $patient->oximeter_delivery_status }}</td>
                    <td>{{ $patient->has_bp_device ? 'DELIVERED' : '' }}</td>
                    <td>{{ $patient->has_weight_scale_device ? 'DELIVERED' : '' }}</td>
                </tr>
            @endforeach

            @if (count($patients) === 0)
                <tr>
                    <td colspan="23">No records found!</td>
                </tr>
            @endif
        </tbody>
    </table>
</div>
<div class="px-3 pt-3 d-flex align-items-center">
    {{ $patients->withQueryString()->links() }}
    <div class="ml-4 mb-3">Showing <b>{{ $patients->firstItem() }}</b> to <b>{{ $patients->lastItem() }}</b> (page
        {{ $patients->currentPage() }}) of <b>{{ $patients->total() }}</b> patients</div>
</div>

<script>
    (function() {
        function init() {
            let panning = false,
                prevX = false,
                prevY = false;
            $('#admin-patients-list-extended')
                .off('mousedown.pan')
                .on('mousedown.pan', function(_e) {
                    if (panning && panning.length) return false;
                    if (_e.ctrlKey) {
                        prevX = _e.screenX;
                        prevY = _e.screenY;
                        panning = $(this);
                        return false;
                    }
                });
            $(document)
                .off('mousemove.pan')
                .on('mousemove.pan', function(_e) {
                    if (!panning || !panning.length) return;
                    let deltaX = _e.screenX - prevX,
                        deltaY = _e.screenY - prevY;
                    panning.scrollTop(panning.scrollTop() - deltaY);
                    panning.scrollLeft(panning.scrollLeft() - deltaX);
                    prevX = _e.screenX;
                    prevY = _e.screenY;
                });
            $(document)
                .off('mouseup.pan')
                .on('mouseup.pan', function(_e) {
                    panning = false;
                });

            $(document)
                .off('click.enable-grid', '.enable-grid')
                .on('click.enable-grid', '.enable-grid', function() {
                    $('#admin-patients-list-extended>table').addClass('stag-compact-grid');
                    localStorage.adminPatientsTableFormat = 'grid';
                    return false;
                });

            $(document)
                .off('click.disable-grid', '.disable-grid')
                .on('click.disable-grid', '.disable-grid', function() {
                    $('#admin-patients-list-extended>table').removeClass('stag-compact-grid');
                    localStorage.adminPatientsTableFormat = 'regular';
                    return false;
                });

            if (localStorage.adminPatientsTableFormat !== 'regular') {
                $('#admin-patients-list-extended>table').addClass('stag-compact-grid');
            } else {
                $('#admin-patients-list-extended>table').removeClass('stag-compact-grid');
            }
        }

        addMCInitializer('admin-patients-list-extended', init, '#admin-patients-list-extended');
    }).call(window);
</script>
