@extends ('layouts.auth')

@section('content')

<div class="card border-0 rounded-0 mcp-theme-1 bg-transparent">
    <div class="card-header text-center font-weight-bold">
        2-Step Verification
    </div>
    <div class="card-body bg-transparent">
        @if(session()->has('message'))
            <div class="alert alert-info">
                {{session('message')}}
            </div>
        @endif
        <form action="/confirm_sms_auth_token" method="POST">

            @csrf
            <div class="form-group">
                <label for="" class="control-label mb-1 text-secondary">Cell Number *</label>
                <input type="text" class="form-control" value="{{$pro->cell_number}}" name="cellNumber" readonly required>
            </div>

            <div class="form-group">
                <label for="" class="control-label mb-1 text-secondary d-flex align-items-center">Token * <span class="ml-auto text-sm">(sent to your phone)</span></label>
                <input autofocus type="text" class="form-control" name="token" required>
            </div>

            <div class="form-group text-center">
                <button class="btn w-100 btn-primary btn-sm px-4 py-2">Submit</button>
            </div>

        </form>
        <div class="mt-2 d-flex">
            <div class="mr-auto">
                <form action="{{route('logout')}}" method="POST">
                    @csrf
                    <button class="btn btn-outline-secondary">Back to login</button>
                </form>
            </div>
            <div>
                <form action="/resend_sms_auth_token" method="POST">
                    @csrf
                    <button class="btn btn-outline-secondary">Resend SMS Auth Token</button>
                </form>
            </div>
        </div>
    </div>
</div>

@endsection
