@extends('layouts.invoice-center')
@section('inner-content')
    <div class="d-flex mb-2 pb-2 align-items-center border-bottom">
        <div class="font-size-14 font-weight-bold">Invoices</div>
        <div moe class="ml-3">
            <a href="" start show class="btn btn-sm btn-primary font-weight-normal text-white">
                + Add Invoice
            </a>
            <form url="/api/invoice/create" class="mcp-theme-1">
                <p class="mb-2 text-secondary font-weight-bold">Add Invoice</p>
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Customer</label>
                    <input type="hidden" name="customerUid" value="{{@$customer->uid}}">
                    <input type="text"
                           name="customerName"
                           target-key="uid"
                           target-field="customerUid"
                           autocomplete="off"
                           class="form-control form-control-sm"
                           stag-suggest
                           stag-suggest-ep="/customer-suggest"
                           value="{{@$customer && $customer->client ? @$customer->client->displayName() : ''}}"
                           {{@$customer ? 'disabled readonly' : ''}}
                           required>
                </div>
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Amount</label>
                    <input type="text"
                           name="amount"
                           autocomplete="off"
                           class="form-control form-control-sm"
                           required>
                </div>
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Description</label>
                    <textarea rows="2"
                              name="description"
                              autocomplete="off"
                              class="form-control form-control-sm" required></textarea>
                </div>
                <div>
                    <button submit class="btn btn-sm btn-primary mr-2">Submit</button>
                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                </div>
            </form>
        </div>
    </div>
    @if(count($records))
        <table class="table table-sm table-bordered table-striped">
            <thead>
            <tr>
                <th class="border-bottom-0"></th>
                <th class="border-bottom-0">Customer</th>
                <th class="border-bottom-0">Amount</th>
                <th class="border-bottom-0">Description</th>
                <th class="border-bottom-0">Pay Link</th>
                <th class="border-bottom-0">Paid</th>
                <th class="border-bottom-0">Balance</th>
                <th class="border-bottom-0">Created</th>
                <th class="border-bottom-0">Active?</th>
                <th class="border-bottom-0"></th>
            </tr>
            </thead>
            <tbody>
            <?php $i = 1; ?>
            @foreach($records as $record)
                <tr>
                    <td>{{ $i++ }}</td>
                    <td>
                        @if($record->customer && $record->customer->client)
                            <a href="{{route('patients.view.dashboard', $record->customer->client)}}">
                                {{$record->customer->client->displayName()}}
                            </a>
                        @else
                            -
                        @endif
                        @if(!$record->is_active)
                            <span class="text-sm font-weight-bold text-secondary ml-2">[INACTIVE]</span>
                        @endif
                    </td>
                    <td>${{ is_null($record->amount) ? 0 : $record->amount }}
                        <div moe relative class="ml-1">
                            <a href="#" start show><i class="fa fa-edit on-hover-opaque"></i></a>
                            <form url="/api/invoice/changeAmount">
                                <input type="hidden" name="invoiceUid" value="{{$record->uid}}">
                                <div class="mb-2">
                                    <label class="text-sm text-secondary mb-1">Amount</label>
                                    <input type="text"
                                           name="amount"
                                           autocomplete="off"
                                           class="form-control form-control-sm"
                                           value="{{$record->amount}}"
                                           required>
                                </div>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-2">Submit</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    </td>
                    <td>{{ $record->description ?: '' }}
                        <div moe relative class="ml-1">
                            <a href="#" start show><i class="fa fa-edit on-hover-opaque"></i></a>
                            <form url="/api/invoice/changeDescription">
                                <input type="hidden" name="invoiceUid" value="{{$record->uid}}">
                                <div class="mb-2">
                                    <label class="text-sm text-secondary mb-1">Description</label>
                                    <textarea rows="2"
                                              name="description"
                                              autocomplete="off"
                                              class="form-control form-control-sm" required>{{$record->description}}</textarea>
                                </div>
                                <div>
                                    <button submit class="btn btn-sm btn-primary mr-2">Submit</button>
                                    <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                </div>
                            </form>
                        </div>
                    </td>
                    <td>
                        <a href="#" data-invoice-uid="{{$record->uid}}" data-uid="{{$record->customer->uid}}" class="generate-and-visit-ic-pay" native target="_blank">Visit</a>
                        <a href="#" data-invoice-uid="{{$record->uid}}" data-uid="{{$record->customer->uid}}" class="generate-and-copy-ic-pay-url ml-1" native target="_blank">Copy</a>
                    </td>
                    <td>${{ is_null($record->paid) ? 0 : $record->paid }}</td>
                    <td>${{ is_null($record->balance) ? 0 : $record->balance }}</td>
                    <td>{{ friendly_date($record->created_at) }}</td>
                    <td class="{{ !$record->is_active ? 'text-warning-dark' : ''}}">{{ $record->is_active ? 'Yes' : 'No' }}</td>
                    <td>
                        <div class="d-flex flex-wrap">
                            @if($record->is_active)
                                <div moe class="mr-2">
                                    <a href="" start show>Deactivate</a>
                                    <form url="/api/invoice/deactivate" class="mcp-theme-1" right>
                                        <p class="mb-2 text-nowrap">Deactivate this invoice?</p>
                                        <input type="hidden" name="uid" value="{{$record->uid}}">
                                        <div>
                                            <button submit class="btn btn-sm btn-primary mr-2">Submit</button>
                                            <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            @else
                                <div moe class="mr-2">
                                    <a href="" start show>Reactivate</a>
                                    <form url="/api/invoice/reactivate" class="mcp-theme-1" right>
                                        <p class="mb-2 text-nowrap">Reactivate this invoice?</p>
                                        <input type="hidden" name="uid" value="{{$record->uid}}">
                                        <div>
                                            <button submit class="btn btn-sm btn-primary mr-2">Submit</button>
                                            <button cancel class="btn btn-sm btn-default border">Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            @endif
                            <a href="{{route('invoice-center.invoiceTransactions')}}?invoiceUid={{$record->uid}}"
                               class="mr-2"
                               open-in-stag-popup
                               update-parent
                               title="{{$record->displayName()}}: Invoice Transactions"
                               popup-style="stag-popup-med overflow-visible"
                               mc-initer="invoice-transactions">Transactions</a>
                        </div>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        {{$records->withQueryString()->links()}}
    @else
        <div class="text-secondary">No invoices yet!</div>
    @endif
@endsection