<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <title>Login | {{ config('app.name') }}</title>
    <!-- Bootstrap core CSS -->
    <link href="{{ asset('css/app.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">
    <link href="{{ asset('css/style.css') }}?v={{config('app.asset_version')}}" rel="stylesheet">

    <script src="{{ asset('js/app.js') }}?v={{config('app.asset_version')}}" type="text/javascript"></script>

</head>
<body>
  <div class="login-container">
    <div class="container-fluid">
      <div class="row vh-100 flex-column align-items-center">
        <div class="col-md-7 mt-4">
          <h3 class="logo p-0 m-0 mb-4">Leadership Health</h3>
          <form class="form-signin" method="post" action="{{ route('login') }}">
            @csrf
            <div class="card">
              <div class="card-body p-0">
                <div class="row">
                  <div class="col-md-6 login-form">
                    <h4 class="login-header mb-3">Sign in to your account</h4>
                      @if(session()->has('message'))
                          <div class="alert alert-danger">
                              {{session('message')}}
                          </div>
                      @endif
                    <div class="w-70">
                      <div class="form-group">
                        <label for="cell-number" class="">Cell Number</label>
                        <input type="tel" id="cell-number" name="cell-number" class="form-control"
                               stag-input-phone
                               value="{{old('cell-number')}}" required <?= old('cell-number') ? '' : 'autofocus' ?>>
                      </div>
                      <div class="form-group">
                        <label for="password" class="">Password</label>
                        <input type="password" id="password" name="password" class="form-control" required <?= old('cell-number') ? 'autofocus' : '' ?>>
                      </div>
                        <div class="d-flex align-items-center">
                            <button id="sign-in-btn" class="mt-2 px-3 btn btn-info btn-sm" type="submit">Sign in</button>
                            <a href="/request_password_reset" class="ml-auto small text-secondary">Forgot password?</a>
                        </div>
                    </div>
                  </div>
                  <div class="col-md-6 bg-holder">

                  </div>
                </div>
              </div>
            </div>
          </form>
          <div class="d-flex flex-column mt-3 justify-content-center">
            <small class="text-center">This platform may only be accessed by authorized users. Each user can only view data associated with their specific account.</small>
            <small class="text-center">By logging in, you accept our <a href="#" class="text-secondary"><u>Terms of Service</u> </a>. To find out how we protect you and your information, view our <a href="#" class="text-secondary"><u>Privacy Policy</u> </a> </small>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="/inputmask-5.x/dist/inputmask.js"></script>
  <script>
      $(document).ready(function() {
          new Inputmask("(999) 999-9999").mask('[stag-input-phone]');
      });
  </script>
</body>
</html>
