<?php

use App\Models\Page;

$page = Page::where('client_id', $patient->id)->where('category', 'CANVAS')->where('key', 'allergies')->first();

$contentData = [
    "items" => []
];

if($page){
    $contentData = json_decode($page->data, true);
}else{
    if($patient->canvas_data) {
        $canvasData = json_decode($patient->canvas_data, true);
        if(isset($canvasData["allergies"])) {
            $contentData = $canvasData["allergies"];
            if(!isset($contentData['items'])){
                $contentData['items'] = [];
            }
        }
    }
}


if(count($contentData['items'])) {
    for ($i = 0; $i < count($contentData['items']); $i++) {
        $item = $contentData['items'][$i];
?>
        <div class="mb-2">
            <div class="">
                <b class="click-to-copy"><?= $item["title"] ?></b>
            </div>

            <?php
            $detailPlain = isset($item["detail"]) ? $item["detail"] : '';
            $detailPlain = trim(strip_tags($detailPlain));
            if(!empty($detailPlain)):
            ?>
                <div class="text-secondary click-to-copy"><?= $detailPlain ?></div>
            <?php endif; ?>
        </div>
<?php
    }
}
else {
    ?>
    <div class="text-secondary">Nothing here yet!</div>
    <?php
}
?>
