{{-- ccm --}}
<hr class="m-negator my-3">
<p class="font-weight-bold text-secondary mb-2 font-size-14">Chronic Care Management (CCM)</p>
<div class="pl-3 d-flex align-items-center">
    <span class="mr-2">Is enrolled to CCM? 
        <b>
            {{ $careMonth->is_client_enrolled_in_cm ? 'YES' : 'NO' }}
        </b>
    </span>
    <div>
        @if($careMonth->is_client_enrolled_in_cm)
            @include("app.patient.care-month.partials.ccm.set-is-enrolled-to-ccm-to-false")
        @else
            @include("app.patient.care-month.partials.ccm.set-is-enrolled-to-ccm-to-true")
        @endif
    </div>
</div>
@if ($careMonth->is_client_enrolled_in_cm)
    <div class="pl-3">
        <div class="screen-only mt-1">
            <div class="d-flex align-items-center">
                <h6 class="font-weight-bold text-secondary m-0">Time Entries</h6>
                <span class="mx-2 text-secondary">|</span>
                @include('app.practice-management.care_month_add_ccm_entry_form', [
                    'right' => false,
                    'type' => 'CM',
                    'label' => 'Add for CCM',
                ])
            </div>
            <table class="table table-striped table-sm table-bordered mt-2 mb-0 table-hover">
                <thead>
                    <tr>
                        <th class="px-2 text-secondary border-bottom-0">Effective Date</th>
                        <th class="px-2 text-secondary border-bottom-0">Time</th>
                        <th class="px-2 text-secondary border-bottom-0">Created</th>
                        <th class="px-2 text-secondary border-bottom-0 w-50">Comments</th>
                        <th class="px-2 text-secondary border-bottom-0 delete-column">&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($careMonth->ccmEntries as $entry)
                        @if (!$entry->is_removed && $entry->cm_or_rm_or_rtm_msk_or_rtm_lung == 'CM')
                            <tr>
                                <td class="px-2">
                                    <div class="font-weight-bold">
                                        {{ friendly_date_time($entry->effective_date, false) }}</div>
                                </td>
                                <td class="px-2">
                                    {{ time_in_hrminsec($entry->time_in_seconds) }}
                                </td>
                                <td class="px-2">
                                    {{ friendly_date_time($entry->created_at) }}
                                </td>
                                <td class="px-2">
                                    <div class="text-secondary in-table-markup">{!! $entry->content_text !!}</div>
                                </td>
                                <td class="px-2">
                                    @include('app.practice-management.care_month_add_ccm_entry_form', [
                                        'right' => true,
                                        'type' =>
                                            $entry->cm_or_rm_or_rtm_msk_or_rtm_lung,
                                        'entry' => $entry,
                                    ])
                                </td>
                            </tr>
                        @endif
                    @endforeach
                    @php $entry = null; @endphp
                </tbody>
            </table>
        </div>
    </div>

@endif
