@extends ('layouts.patient')

@section('inner-content')
<div>
    <div class="mb-3 border rounded bg-light p-2">
        <div class="mb-2">
            Latest Client Primary Coverage:
            @if($patient->getPrimaryCoverage())
                <b>{{$patient->getPrimaryCoverage()->plan_type}}</b> (Member ID: {{$patient->getPrimaryCoverage()->payer_member_identifier}})
            @else
                -
            @endif
        </div>
        <div class="mb-2">Latest New Client Primary Coverage:
            @if($patient->latestNewClientPrimaryCoverage)
                <b>{{$patient->latestNewClientPrimaryCoverage->plan_type}}</b> (Member ID: {{$patient->latestNewClientPrimaryCoverage->payer_member_identifier}})
            @else
                -
            @endif
        </div>
        <div class="mb-2">Latest Auto Refresh Client Primary Coverage:
            @if($patient->latestAutoRefreshClientPrimaryCoverage)
                <b>{{$patient->latestAutoRefreshClientPrimaryCoverage->plan_type}}</b> (Member ID: {{$patient->latestAutoRefreshClientPrimaryCoverage->payer_member_identifier}})
            @else
                -
            @endif
        </div>
        <div class="">Latest Manual Client Primary Coverage:
            @if($patient->latestManualClientPrimaryCoverage)
                <b>{{$patient->latestManualClientPrimaryCoverage->plan_type}}</b> (Member ID: {{$patient->latestManualClientPrimaryCoverage->payer_member_identifier}})
            @else
                -
            @endif
        </div>
    </div>
    <div class="d-flex align-items-baseline">
        <h4 class="font-weight-bold m-0 font-size-16 text-nowrap">Client Primary Coverages</h4>
        <div class="ml-auto d-inline-flex justify-content-center">
            <span class="mr-2">New w/o Manual:</span>
            <div moe relative large>
                <a href="" start show>+ MCR</a>
                <form url="/api/clientPrimaryCoverage/createNewCoverageForMedicareWithoutManualDetermination" right class="mcp-theme-1">
                    <input type="hidden" name="clientUid" value="{{$patient->uid}}" class="form-control input-sm" />
                    <div class="form-group">
                        <label class="control-label">Subscriber Name First</label>
                        <input type="text" name="subscriberNameFirst" class="form-control input-sm" value="{{$patient->name_first}}" />
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Name Last</label>
                        <input type="text" name="subscriberNameLast" class="form-control input-sm" value="{{$patient->name_last}}" />
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Dob</label>
                        <input type="date" name="subscriberDob" class="form-control input-sm" value="{{$patient->dob}}" />
                    </div>
                    <div class="form-group">
                        <label class="control-label">Payer Member Identifier</label>
                        <input type="text" name="payerMemberIdentifier" class="form-control input-sm" />
                    </div>
                    <div class="form-group">
                        <label class="control-label">Date Of Service</label>
                        <input type="date" name="dateOfService" class="form-control input-sm" value="{{date('Y-m-d')}}" />
                    </div>
                    <div class="form-group text-nowrap mb-0">
                        <button class="btn btn-sm btn-primary" submit>Submt</button>
                        <button class="btn btn-sm btn-default border" close>Close</button>
                    </div>
                </form>
            </div>
            <span class="mx-2 text-secondary text-sm">|</span>
            <div moe relative large>
                <a href="" start show >+ Medicaid</a>
                <form url="/api/clientPrimaryCoverage/createNewCoverageForMedicaidWithoutManualDetermination" right class="mcp-theme-1">
                    <input type="hidden" name="clientUid" value="{{$patient->uid}}" class="form-control input-sm" />
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Name First</label>
                        <input type="text" name="subscriberNameFirst" class="form-control input-sm" value="{{$patient->name_first}}">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Name Last</label>
                        <input type="text" name="subscriberNameLast" class="form-control input-sm" value="{{$patient->name_last}}">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Dob</label>
                        <input type="date" name="subscriberDob" class="form-control input-sm" value="{{$patient->dob}}">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Sex</label>
                        <select  name="subscriberSex" class="form-control input-sm">
                            <option value="">--select--</option>
                            <option value="M" {{$patient->sex === 'M' ? 'selected' : ''}}>M</option>
                            <option value="F" {{$patient->sex === 'F' ? 'selected' : ''}}>F</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Payer Name</label>
                        <input type="text" name="payerName" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Payer Member Identifier</label>
                        <input type="String" name="payerMemberIdentifier" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Date Of Service</label>
                        <input type="date" name="dateOfService" class="form-control input-sm" value="{{date('Y-m-d')}}">
                    </div>

                    <div class="form-group text-nowrap mb-0">
                        <button class="btn btn-sm btn-primary" submit>Submt</button>
                        <button class="btn btn-sm btn-default border" close>Close</button>
                    </div>
                </form>
            </div>
            <span class="mx-2 text-secondary text-sm">|</span>
            <div moe relative large>
                <a href="" start show >+ Comm.</a>
                <form url="/api/clientPrimaryCoverage/createNewCoverageForCommercialWithoutManualDetermination" right class="mcp-theme-1">
                    <input type="hidden" name="clientUid" value="{{$patient->uid}}" class="form-control input-sm" />
                    <div class="form-group">
                        <label class="control-label">Subscriber Name First</label>
                        <input type="text" name="subscriberNameFirst" class="form-control input-sm" value="{{$patient->name_first}}">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Name Last</label>
                        <input type="text" name="subscriberNameLast" class="form-control input-sm" value="{{$patient->name_last}}">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Dob</label>
                        <input type="date" name="subscriberDob" class="form-control input-sm" value="{{$patient->dob}}">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Sex</label>
                        <select  name="subscriberSex" class="form-control input-sm">
                            <option value="">--select--</option>
                            <option value="M" {{$patient->sex === 'M' ? 'selected' : ''}}>M</option>
                            <option value="F" {{$patient->sex === 'F' ? 'selected' : ''}}>F</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Payer Name</label>
                        <input type="text" name="payerName" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Payer Member Identifier</label>
                        <input type="text" name="payerMemberIdentifier" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Date Of Service</label>
                        <input type="date" name="dateOfService" class="form-control input-sm" value="{{date('Y-m-d')}}">
                    </div>

                    <div class="form-group text-nowrap mb-0">
                        <button class="btn btn-sm btn-primary" submit>Submt</button>
                        <button class="btn btn-sm btn-default border" close>Close</button>
                    </div>
                </form>
            </div>
            <span class="mx-2 text-secondary text-sm">|</span>
            <div moe relative large>
                <a href="" start show >+ Mcr Adv.</a>
                <form url="/api/clientPrimaryCoverage/createNewCoverageForMcrAdvWithoutManualDetermination" right class="mcp-theme-1">
                    <input type="hidden" name="clientUid" value="{{$patient->uid}}" class="form-control input-sm" />
                    <div class="form-group">
                        <label class="control-label">Subscriber Name First</label>
                        <input type="text" name="subscriberNameFirst" class="form-control input-sm" value="{{$patient->name_first}}">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Name Last</label>
                        <input type="text" name="subscriberNameLast" class="form-control input-sm" value="{{$patient->name_last}}">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Dob</label>
                        <input type="date" name="subscriberDob" class="form-control input-sm" value="{{$patient->dob}}">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Sex</label>
                        <select  name="subscriberSex" class="form-control input-sm">
                            <option value="">--select--</option>
                            <option value="M" {{$patient->sex === 'M' ? 'selected' : ''}}>M</option>
                            <option value="F" {{$patient->sex === 'F' ? 'selected' : ''}}>F</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="control-label">Payer Member Identifier</label>
                        <input type="text" name="payerMemberIdentifier" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Medicare Number</label>
                        <input type="text" name="mcrNumber" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Date Of Service</label>
                        <input type="date" name="dateOfService" class="form-control input-sm" value="{{date('Y-m-d')}}">
                    </div>

                    <div class="form-group text-nowrap mb-0">
                        <button class="btn btn-sm btn-primary" submit>Submt</button>
                        <button class="btn btn-sm btn-default border" close>Close</button>
                    </div>
                </form>
            </div>
            <span class="mx-2 text-secondary text-sm">|</span>
            <div moe relative large>
                <a href="" start show >+ Mcd Mco.</a>
                <form url="/api/clientPrimaryCoverage/createNewCoverageForMcdMcoWithoutManualDetermination" right class="mcp-theme-1">
                    <input type="hidden" name="clientUid" value="{{$patient->uid}}" class="form-control input-sm" />
                    <div class="form-group">
                        <label class="control-label">Subscriber Name First</label>
                        <input type="text" name="subscriberNameFirst" class="form-control input-sm" value="{{$patient->name_first}}">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Name Last</label>
                        <input type="text" name="subscriberNameLast" class="form-control input-sm" value="{{$patient->name_last}}">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Subscriber Dob</label>
                        <input type="date" name="subscriberDob" class="form-control input-sm" value="{{$patient->dob}}">
                    </div>
                    <div class="form-group">
                        <label for="" class="control-label">Subscriber Sex</label>
                        <select  name="subscriberSex" class="form-control input-sm">
                            <option value="">--select--</option>
                            <option value="M" {{$patient->sex === 'M' ? 'selected' : ''}}>M</option>
                            <option value="F" {{$patient->sex === 'F' ? 'selected' : ''}}>F</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="control-label">Payer Member Identifier</label>
                        <input type="text" name="payerMemberIdentifier" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Medicaid Number</label>
                        <input type="text" name="mcdNumber" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Medicaid State</label>
                        <input type="text" name="mcdState" class="form-control input-sm">
                    </div>
                    <div class="form-group">
                        <label class="control-label">Date Of Service</label>
                        <input type="date" name="dateOfService" class="form-control input-sm" value="{{date('Y-m-d')}}">
                    </div>

                    <div class="form-group text-nowrap mb-0">
                        <button class="btn btn-sm btn-primary" submit>Submt</button>
                        <button class="btn btn-sm btn-default border" close>Close</button>
                    </div>
                </form>
            </div>
        </div>

    </div>

    <table class="table table-sm table-bordered mt-3 mb-0">

        <tbody>
            @foreach($patient->primaryCoverages as $cpc)
            <tr>
                <td>
                    @if($cpc->plan_type == 'MEDICARE')
                    <div moe relative>
                        <a href="" start show class="">Refresh</a>

                        <form url="/api/clientPrimaryCoverage/refreshCoverageForMedicare" class="mcp-theme-1">
                            <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                            <div class="form-group">
                                <p>Refresh?</p>
                            </div>
                            <div class="form-group text-nowrap mb-0">
                                <button class="btn btn-sm btn-primary" submit>Submt</button>
                                <button class="btn btn-sm btn-default border" close>Close</button>
                            </div>
                        </form>
                    </div>
                    <hr/>
                    <div moe relative large>
                        <a href="" start show class="">Manual Determination</a>

                        <form url="/api/clientPrimaryCoverage/manualDeterminationForMedicare" class="mcp-theme-1">
                            <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Strategy</label>
                                <select  name="manualDeterminationStrategy" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="REVIEWED_ELECTRONIC">Reviewed electronic</option>
                                    <option value="CALLED_PAYER">Called payer</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Category</label>
                                <select  name="manualDeterminationCategory" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="COVERED">Covered</option>
                                    <option value="NOT_COVERED">Not Covered</option>
                                    <option value="INVALID">Invalid</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Category Memo</label>
                                <input type="text" name="manualDeterminationCategoryMemo" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Detail Json</label>
                                <input type="text" name="manualDetailJson" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Is Part B Primary</label>
                                <select  name="manualMedicareIsPartBPrimary" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Is Part B Active</label>
                                <select  name="manualMedicareIsPartBActive" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Is Part C Active</label>
                                <select  name="manualMedicareIsPartCActive" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Is Inpatient</label>
                                <select  name="manualMedicareIsInpatient" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Is Hospice Or Home Health</label>
                                <select  name="manualMedicareIsHospiceOrHomeHealth" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Is Msp</label>
                                <select  name="manualMedicareIsMsp" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Msp Memo</label>
                                <select  name="manualMedicareMspMemo" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="YES">Yes</option>
                                    <option value="NO">No</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Start Date</label>
                                <input type="date" name="manualMedicareMpbStartDate" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb End Date</label>
                                <input type="date" name="manualMedicareMpbEndDate" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Deductible</label>
                                <input type="number" name="manualMedicareMpbDeductible" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Remaining</label>
                                <input type="number" name="manualMedicareMpbRemaining" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Insurance Type</label>
                                <input type="text" name="manualMedicareMpbInsuranceType" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Insurance Type Label</label>
                                <input type="text" name="manualMedicareMpbInsuranceTypeLabel" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Coinsurance Percent</label>
                                <input type="number" name="manualMedicareMpbCoinsurancePercent" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Info Valid Until</label>
                                <input type="date" name="manualMedicareMpbInfoValidUntil" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Medicare Mpb Info Valid Till</label>
                                <input type="date" name="manualMedicareMpbInfoValidTill" class="form-control input-sm"/>
                            </div>
                            <div class="form-group text-nowrap mb-0">
                                <button class="btn btn-sm btn-primary" submit>Submt</button>
                                <button class="btn btn-sm btn-default border" close>Close</button>
                            </div>
                        </form>
                    </div>
                    @endif
                    @if($cpc->plan_type == 'MEDICAID')
                    <div moe relative>
                        <a href="" start show class="">Refresh</a>

                        <form url="/api/clientPrimaryCoverage/refreshCoverageForMedicaid" class="mcp-theme-1">
                            <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                            <div class="form-group">
                                <p>Refresh?</p>
                            </div>
                            <div class="form-group text-nowrap mb-0">
                                <button class="btn btn-sm btn-primary" submit>Submt</button>
                                <button class="btn btn-sm btn-default border" close>Close</button>
                            </div>
                        </form>
                    </div>
                    <hr/>
                    <div moe relative large>
                        <a href="" start show class="">Manual Determination</a>

                        <form url="/api/clientPrimaryCoverage/manualDeterminationForMedicaid" class="mcp-theme-1">
                            <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Strategy</label>
                                <select  name="manualDeterminationStrategy" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="REVIEWED_ELECTRONIC">Reviewed electronic</option>
                                    <option value="CALLED_PAYER">Called payer</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Category</label>
                                <select  name="manualDeterminationCategory" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="COVERED">Covered</option>
                                    <option value="NOT_COVERED">Not Covered</option>
                                    <option value="INVALID">Invalid</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Category Memo</label>
                                <input type="text" name="manualDeterminationCategoryMemo" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Detail Json</label>
                                <input type="text" name="manualDetailJson" class="form-control input-sm"/>
                            </div>


                            <div class="form-group text-nowrap mb-0">
                                <button class="btn btn-sm btn-primary" submit>Submt</button>
                                <button class="btn btn-sm btn-default border" close>Close</button>
                            </div>
                        </form>
                    </div>
                    @endif
                    @if($cpc->plan_type == 'COMMERCIAL')
                    <div moe relative>
                        <a href="" start show class="">Refresh</a>

                        <form url="/api/clientPrimaryCoverage/refreshCoverageForCommercial" class="mcp-theme-1">
                            <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                            <div class="form-group">
                                <p>Refresh?</p>
                            </div>
                            <div class="form-group text-nowrap mb-0">
                                <button class="btn btn-sm btn-primary" submit>Submt</button>
                                <button class="btn btn-sm btn-default border" close>Close</button>
                            </div>
                        </form>
                    </div>
                    <hr/>
                    <div moe relative large>
                        <a href="" start show class="">Manual Determination</a>

                        <form url="/api/clientPrimaryCoverage/manualDeterminationForCommercial" class="mcp-theme-1">
                            <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Strategy</label>
                                <select  name="manualDeterminationStrategy" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="REVIEWED_ELECTRONIC">Reviewed electronic</option>
                                    <option value="CALLED_PAYER">Called payer</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Category</label>
                                <select  name="manualDeterminationCategory" class="form-control input-sm">
                                    <option value="">--select--</option>
                                    <option value="COVERED">Covered</option>
                                    <option value="NOT_COVERED">Not Covered</option>
                                    <option value="INVALID">Invalid</option>
                                    <option value="UNKNOWN">Unknown</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Determination Category Memo</label>
                                <input type="text" name="manualDeterminationCategoryMemo" class="form-control input-sm"/>
                            </div>
                            <div class="form-group">
                                <label for="" class="control-label">Manual Detail Json</label>
                                <input type="text" name="manualDetailJson" class="form-control input-sm"/>
                            </div>


                            <div class="form-group text-nowrap mb-0">
                                <button class="btn btn-sm btn-primary" submit>Submt</button>
                                <button class="btn btn-sm btn-default border" close>Close</button>
                            </div>
                        </form>
                    </div>
                    @endif
                    @if($cpc->plan_type == 'MCR_ADV')
                        <div moe relative>
                            <a href="" start show class="">Refresh</a>

                            <form url="/api/clientPrimaryCoverage/refreshCoverageForMcrAdv" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                                <div class="form-group">
                                    <p>Refresh?</p>
                                </div>
                                <div class="form-group text-nowrap mb-0">
                                    <button class="btn btn-sm btn-primary" submit>Submt</button>
                                    <button class="btn btn-sm btn-default border" close>Close</button>
                                </div>
                            </form>
                        </div>
                        <hr/>
                        <div moe relative large>
                            <a href="" start show class="">Manual Determination</a>
                            <form url="/api/clientPrimaryCoverage/manualDeterminationForMcrAdv" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Determination Strategy</label>
                                    <select  name="manualDeterminationStrategy" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="REVIEWED_ELECTRONIC">Reviewed electronic</option>
                                        <option value="CALLED_PAYER">Called payer</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Determination Category</label>
                                    <select  name="manualDeterminationCategory" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="COVERED">Covered</option>
                                        <option value="NOT_COVERED">Not Covered</option>
                                        <option value="INVALID">Invalid</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Determination Category Memo</label>
                                    <input type="text" name="manualDeterminationCategoryMemo" class="form-control input-sm"/>
                                </div>
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Detail Json</label>
                                    <input type="text" name="manualDetailJson" class="form-control input-sm"/>
                                </div>

                                <div class="form-group">
                                    <label for="" class="control-label">Manual Is Payer Member Identifier Valid</label>
                                    <select  name="manualIsPayerMemberIdentifierValid" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="YES">Yes</option>
                                        <option value="NO">No</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="" class="control-label">Manual Is Mcr Number Valid</label>
                                    <select  name="manualIsMcrNumberValid" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="YES">Yes</option>
                                        <option value="NO">No</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="" class="control-label">Manual Is Mcr Part Bprimary</label>
                                    <select  name="manualIsMcrPartBPrimary" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="YES">Yes</option>
                                        <option value="NO">No</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="" class="control-label">Manual Is Mcr Part C Active</label>
                                    <select  name="manualIsMcrPartCActive" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="YES">Yes</option>
                                        <option value="NO">No</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>

                                <div class="form-group text-nowrap mb-0">
                                    <button class="btn btn-sm btn-primary" submit>Submt</button>
                                    <button class="btn btn-sm btn-default border" close>Close</button>
                                </div>
                            </form>
                        </div>
                    @endif
                    @if($cpc->plan_type == 'MCD_MCO')
                        <div moe relative>
                            <a href="" start show class="">Refresh</a>

                            <form url="/api/clientPrimaryCoverage/refreshCoverageForMcdMco" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                                <div class="form-group">
                                    <p>Refresh?</p>
                                </div>
                                <div class="form-group text-nowrap mb-0">
                                    <button class="btn btn-sm btn-primary" submit>Submt</button>
                                    <button class="btn btn-sm btn-default border" close>Close</button>
                                </div>
                            </form>
                        </div>
                        <hr/>
                        <div moe relative large>
                            <a href="" start show class="">Manual Determination</a>
                            <form url="/api/clientPrimaryCoverage/manualDeterminationForMcdMco" class="mcp-theme-1">
                                <input type="hidden" name="uid" value="{{$cpc->uid}}" class="form-control input-sm" />
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Determination Strategy</label>
                                    <select  name="manualDeterminationStrategy" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="REVIEWED_ELECTRONIC">Reviewed electronic</option>
                                        <option value="CALLED_PAYER">Called payer</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Determination Category</label>
                                    <select  name="manualDeterminationCategory" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="COVERED">Covered</option>
                                        <option value="NOT_COVERED">Not Covered</option>
                                        <option value="INVALID">Invalid</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Determination Category Memo</label>
                                    <input type="text" name="manualDeterminationCategoryMemo" class="form-control input-sm"/>
                                </div>
                                <div class="form-group">
                                    <label for="" class="control-label">Manual Detail Json</label>
                                    <input type="text" name="manualDetailJson" class="form-control input-sm"/>
                                </div>

                                <div class="form-group">
                                    <label for="" class="control-label">Manual Is Mcd Number Valid</label>
                                    <select  name="manualIsMcdNumberValid" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="YES">Yes</option>
                                        <option value="NO">No</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="" class="control-label">Manual Is Mcd Response Mco Active</label>
                                    <select  name="manualIsMcdResponseMcoActive" class="form-control input-sm">
                                        <option value="">--select--</option>
                                        <option value="YES">Yes</option>
                                        <option value="NO">No</option>
                                        <option value="UNKNOWN">Unknown</option>
                                    </select>
                                </div>

                                <div class="form-group text-nowrap mb-0">
                                    <button class="btn btn-sm btn-primary" submit>Submt</button>
                                    <button class="btn btn-sm btn-default border" close>Close</button>
                                </div>
                            </form>
                        </div>
                    @endif
                </td>
                <td>
                    <table class="table table-sm table-bordered table-condensed">
                        <tr><td>creation_strategy</td><td>{{$cpc->creation_strategy}}</td></tr>
                        <tr><td>auto_refresh_of_client_primary_coverage_id</td><td>{{$cpc->auto_refresh_of_client_primary_coverage_id}}</td></tr>
                        <tr><td>manual_determination_of_client_primary_coverage_id</td><td>{{$cpc->manual_determination_of_client_primary_coverage_id}}</td></tr>
                        <tr><td>plan_type</td><td>{{$cpc->plan_type}}</td></tr>
                        <tr><td>is_partbprimary</td><td>{{$cpc->is_partbprimary}}</td></tr>
                        <tr><td>is_manually_determined</td><td>{{$cpc->is_manually_determined}}</td></tr>
                        <tr><td>is_entry_error</td><td>{{$cpc->is_entry_error}}</td></tr>
                        <tr><td>subscriber_name_first</td><td>{{$cpc->subscriber_name_first}}</td></tr>
                        <tr><td>subscriber_name_last</td><td>{{$cpc->subscriber_name_last}}</td></tr>
                        <tr><td>subscriber_sex</td><td>{{$cpc->subscriber_sex}}</td></tr>
                        <tr><td>subscriber_dob</td><td>{{$cpc->subscriber_dob}}</td></tr>
                        <tr><td>payer_member_identifier</td><td>{{$cpc->payer_member_identifier}}</td></tr>
                        <tr><td>payer_name</td><td>{{$cpc->payer_name}}</td></tr>
                        <tr><td>date_of_service</td><td>{{$cpc->date_of_service}}</td></tr>
                    </table>
                </td>
                <td>
                    <table class="table table-sm table-bordered table-condensed">
                        <tr><td>auto_is_payer_member_identifier_valid</td><td>{{$cpc->auto_is_payer_member_identifier_valid}}</td></tr>
                        <tr><td>auto_medicare_is_partbprimary</td><td>{{$cpc->auto_medicare_is_partbprimary}}</td></tr>
                        <tr><td>auto_medicare_is_partbactive</td><td>{{$cpc->auto_medicare_is_partbactive}}</td></tr>
                        <tr><td>auto_medicare_is_partcactive</td><td>{{$cpc->auto_medicare_is_partcactive}}</td></tr>
                        <tr><td>auto_medicare_is_inpatient</td><td>{{$cpc->auto_medicare_is_inpatient}}</td></tr>
                        <tr><td>auto_medicare_is_hospice_or_home_health</td><td>{{$cpc->auto_medicare_is_hospice_or_home_health}}</td></tr>
                        <tr><td>auto_medicare_is_msp</td><td>{{$cpc->auto_medicare_is_msp}}</td></tr>
                        <tr><td>auto_medicare_msp_memo</td><td>{{$cpc->auto_medicare_msp_memo}}</td></tr>
                        <tr><td>auto_medicare_mpb_start_date</td><td>{{$cpc->auto_medicare_mpb_start_date}}</td></tr>
                        <tr><td>auto_medicare_mpb_end_date</td><td>{{$cpc->auto_medicare_mpb_end_date}}</td></tr>
                        <tr><td>auto_medicare_mpb_deductible</td><td>{{$cpc->auto_medicare_mpb_deductible}}</td></tr>
                        <tr><td>auto_medicare_mpb_remaining</td><td>{{$cpc->auto_medicare_mpb_remaining}}</td></tr>
                        <tr><td>auto_medicare_mpb_insurance_type</td><td>{{$cpc->auto_medicare_mpb_insurance_type}}</td></tr>
                        <tr><td>auto_medicare_mpb_insurance_type_label</td><td>{{$cpc->auto_medicare_mpb_insurance_type_label}}</td></tr>
                        <tr><td>auto_medicare_mpb_coinsurance_percent</td><td>{{$cpc->auto_medicare_mpb_coinsurance_percent}}</td></tr>
                        <tr><td>auto_medicare_mpb_info_valid_until</td><td>{{$cpc->auto_medicare_mpb_info_valid_until}}</td></tr>
                        <tr><td>auto_medicare_mpb_info_valid_till</td><td>{{$cpc->auto_medicare_mpb_info_valid_till}}</td></tr>
                        <tr><td>auto_medicare_mpb_last_refreshed_at</td><td>{{$cpc->auto_medicare_mpb_last_refreshed_at}}</td></tr>
                        <tr><td>was_successful</td><td>{{$cpc->was_successful}}</td></tr>
                        <tr><td>reject_reason_code</td><td>{{$cpc->reject_reason_code}}</td></tr>
                        <tr><td>reject_reason_description</td><td>{{$cpc->reject_reason_description}}</td></tr>
                        <tr><td>follow_up_action_code</td><td>{{$cpc->follow_up_action_code}}</td></tr>
                        <tr><td>follow_up_action_description</td><td>{{$cpc->follow_up_action_description}}</td></tr>
                        <tr><td>details</td><td>{{$cpc->details}}</td></tr>
                        <tr><td>is_mcn_valid_number</td><td>{{$cpc->is_mcn_valid_number}}</td></tr>
                        <tr><td>address_street_line1</td><td>{{$cpc->address_street_line1}}</td></tr>
                        <tr><td>address_street_line2</td><td>{{$cpc->address_street_line2}}</td></tr>
                        <tr><td>address_city</td><td>{{$cpc->address_city}}</td></tr>
                        <tr><td>address_state</td><td>{{$cpc->address_state}}</td></tr>
                        <tr><td>address_zip</td><td>{{$cpc->address_zip}}</td></tr>
                        <tr><td>is_hospice</td><td>{{$cpc->is_hospice}}</td></tr>
                        <tr><td>mcn_response_detail</td><td>{{$cpc->mcn_response_detail}}</td></tr>
                        <tr><td>billing_address</td><td>{{$cpc->billing_address}}</td></tr>
                        <tr><td>reason_not_partb</td><td>{{$cpc->reason_not_partb}}</td></tr>
                        <tr><td>reason_not_partbmemo</td><td>{{$cpc->reason_not_partbmemo}}</td></tr>
                        <tr><td>is_medicare_advantage</td><td>{{$cpc->is_medicare_advantage}}</td></tr>
                        <tr><td>medicare_advantage_plan</td><td>{{$cpc->medicare_advantage_plan}}</td></tr>
                        <tr><td>mpb_active</td><td>{{$cpc->mpb_active}}</td></tr>
                        <tr><td>mpb_start_date</td><td>{{$cpc->mpb_start_date}}</td></tr>
                        <tr><td>mpb_end_date</td><td>{{$cpc->mpb_end_date}}</td></tr>
                        <tr><td>mpb_deductible</td><td>{{$cpc->mpb_deductible}}</td></tr>
                        <tr><td>mpb_remaining</td><td>{{$cpc->mpb_remaining}}</td></tr>
                        <tr><td>mpb_insurance_type</td><td>{{$cpc->mpb_insurance_type}}</td></tr>
                        <tr><td>mpb_insurance_type_label</td><td>{{$cpc->mpb_insurance_type_label}}</td></tr>
                        <tr><td>mpb_coinsurance_percent</td><td>{{$cpc->mpb_coinsurance_percent}}</td></tr>
                        <tr><td>mpb_info_valid_until</td><td>{{$cpc->mpb_info_valid_until}}</td></tr>
                        <tr><td>mpb_info_valid_till</td><td>{{$cpc->mpb_info_valid_till}}</td></tr>
                        <tr><td>mpb_last_refreshed_at</td><td>{{$cpc->mpb_last_refreshed_at}}</td></tr>
                        <tr><td>manual_determination_strategy</td><td>{{$cpc->manual_determination_strategy}}</td></tr>
                        <tr><td>manual_determination_category</td><td>{{$cpc->manual_determination_category}}</td></tr>
                        <tr><td>manual_determination_category_memo</td><td>{{$cpc->manual_determination_category_memo}}</td></tr>
                        <tr><td>manual_detail_json</td><td>{{$cpc->manual_detail_json}}</td></tr>
                        <tr><td>manual_medicare_is_partbprimary</td><td>{{$cpc->manual_medicare_is_partbprimary}}</td></tr>
                        <tr><td>manual_medicare_is_partbactive</td><td>{{$cpc->manual_medicare_is_partbactive}}</td></tr>
                        <tr><td>manual_medicare_is_partcactive</td><td>{{$cpc->manual_medicare_is_partcactive}}</td></tr>
                        <tr><td>manual_medicare_is_inpatient</td><td>{{$cpc->manual_medicare_is_inpatient}}</td></tr>
                        <tr><td>manual_medicare_is_hospice_or_home_health</td><td>{{$cpc->manual_medicare_is_hospice_or_home_health}}</td></tr>
                        <tr><td>manual_medicare_is_msp</td><td>{{$cpc->manual_medicare_is_msp}}</td></tr>
                        <tr><td>manual_medicare_msp_memo</td><td>{{$cpc->manual_medicare_msp_memo}}</td></tr>
                        <tr><td>manual_medicare_mpb_start_date</td><td>{{$cpc->manual_medicare_mpb_start_date}}</td></tr>
                        <tr><td>manual_medicare_mpb_end_date</td><td>{{$cpc->manual_medicare_mpb_end_date}}</td></tr>
                        <tr><td>manual_medicare_mpb_deductible</td><td>{{$cpc->manual_medicare_mpb_deductible}}</td></tr>
                        <tr><td>manual_medicare_mpb_remaining</td><td>{{$cpc->manual_medicare_mpb_remaining}}</td></tr>
                        <tr><td>manual_medicare_mpb_insurance_type</td><td>{{$cpc->manual_medicare_mpb_insurance_type}}</td></tr>
                        <tr><td>manual_medicare_mpb_insurance_type_label</td><td>{{$cpc->manual_medicare_mpb_insurance_type_label}}</td></tr>
                        <tr><td>manual_medicare_mpb_coinsurance_percent</td><td>{{$cpc->manual_medicare_mpb_coinsurance_percent}}</td></tr>
                        <tr><td>manual_medicare_mpb_info_valid_until</td><td>{{$cpc->manual_medicare_mpb_info_valid_until}}</td></tr>
                        <tr><td>manual_medicare_mpb_info_valid_till</td><td>{{$cpc->manual_medicare_mpb_info_valid_till}}</td></tr>
                        <tr><td>manual_medicare_mpb_last_refreshed_at</td><td>{{$cpc->manual_medicare_mpb_last_refreshed_at}}</td></tr>
                        <tr><td>auto_medicare_result_id</td><td>{{$cpc->auto_medicare_result_id}}</td></tr>
                    </table>
                </td>
                <td>
                    <table>
                        <tr><td>auto_detail_json</td><td><pre>{{$cpc->auto_detail_json}}</pre></td></tr>
                    </table>
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
