<div class="d-flex align-items-baseline">
    <?php
    $coverageStatus = $patient->getCoverageStatus();
    ?>

    @if($coverageStatus === 'YES')
        <i class="fa fa-check-circle text-success"></i>
    @elseif($coverageStatus === 'NO')
        @if(!$patient->manual_determination_category)
            <i class="fas fa-hourglass-half text-warning" title="Pending Validation"></i>
        @else
            <i class="fa fa-times text-danger"></i>
        @endif
    @else
        @if($patient->plan_type == 'MEDICARE' && !$patient->auto_medicare_is_match_found)
            <i class="fa fa-times text-danger"></i>
        @elseif($patient->plan_type == 'MEDICAID' && !$patient->auto_medicaid_is_match_found)
            <i class="fa fa-times text-danger"></i>
        @elseif($patient->plan_type == 'COMMERCIAL' && !$patient->auto_commercial_is_match_found)
            <i class="fa fa-times text-danger"></i>
        @else
            <i class="fa fa-exclamation-triangle text-warning-mellow"></i>
        @endif
    @endif

    <div class="ml-2 d-inline-flex align-items-baseline">
        @if($patient->latest_client_primary_coverage_id)
            @if($patient->plan_type === 'MEDICAID' && $patient->mcd_payer_name)
                <span class="{{ @$truncateName ? 'coverage-payer-name':'' }}"
                      title="{{$patient->mcd_payer_name}}">{{$patient->mcd_payer_name}}</span>
            @elseif($patient->plan_type === 'COMMERCIAL' && $patient->commercial_payer_name)
                <span class="{{ @$truncateName ? 'coverage-payer-name':'' }}"
                      title="{{$patient->commercial_payer_name}}">{{$patient->commercial_payer_name}}</span>
            @else
                <span class="{{ @$truncateName ? 'coverage-payer-name':'' }}"
                      title="{{$patient->insuranceDisplayName()}}">{{$patient->insuranceDisplayName()}}</span>
            @endif
        @else
            <small class="ml-2 text-muted">(No insurance)</small>
        @endif
        <div class="">
            @if($patient->plan_type === 'MEDICARE')
                @if(@$patient->mpb_remaining)
                    <span class="text-muted d-block text-sm ml-1">(Ded: {{format_number(@$patient->mpb_remaining)}})</span>
                @endif
            @endif
            @if($patient->plan_type === 'COMMERCIAL')
                @if(@$patient->deductible_amount && !!+@$patient->deductible_amount)
                    <span class="text-muted d-block text-sm ml-1">(Ded: {{format_number(@$patient->deductible_amount)}})</span>
                @endif
            @endif
        </div>
    </div>
</div>
