@if($points && count($points))
    <div class="d-flex border-bottom">
        <a class="mr-2 min-width-110px hide-if-note-signed"
           open-in-stag-popup
           href="/nutrition-center/{{$note->client->uid}}/{{$note->uid}}"
           mc-initer="nutrition-center-{{$note->id}}"
           title="<img src='/img/nutrition-rx.png'/> Nutrition Rx"
           popup-style="overflow-visible">
            Nutrition Rx
        </a>
        <span class="mr-2 min-width-110px font-weight-bold show-if-note-signed">
            Nutrition Rx
        </span>
        <div class="flex-grow-1">
            <table class="table table-bordered table-xs table-cage mb-0">
                <?php $j = 0; foreach ($points as $point): $j++; ?>
                <?php $rel = $point->relevanceToNote($note); ?>
                <tr>
                    <td class="width-40px pr-2 pl-0 {{ $rel ? ' text-info':'' }}">
                        @if($rel)
                            {{ $j }}.*
                        @else
                            {{ $j }}.1
                        @endif
                    </td>
                    <td class="px-2">
                        <div class=" <?= $point->is_removed ? 'strike-through' : '' ?> grow-till-300px">
                            @if($point->category === 'HIGH_SUGAR_BEVERAGES')
                                Beverages
                            @else
                                {{ucwords(str_replace('_', ' ', strtolower($point->category)))}}
                            @endif
                        </div>
                    </td>
                    <td class="width-300px">
                        <div class="pl-2">
                            <?php $review = $point->lastChildReview ?: null; ?>
                            <?php if(!!$review): ?>
                                <?php
                                $flat = true;
                                include resource_path('views/app/patient/segment-templates/_child_review/nutrition/' . $point['category'] . '/last-review.php');
                                ?>
                            <?php endif; ?>
                        </div>
                    </td>
                    <td></td>
                </tr>
                <?php endforeach; ?>
            </table>

        </div>
    </div>
@endif