<?php
use App\Models\Client;
use App\Models\Note;
use App\Models\Point;
/** @var Client $patient */
/** @var Note $note */
/** @var Point $point */

if(!@$sessionKey) {
    $sessionKey = request()->cookie('sessionKey');
}

$point = Point::getOrCreateOnlyTopLevelPointOfCategory($note, 'LIFESTYLE_NUTRITION', $sessionKey);

$contentData = [
    "four_leaf_fresh_fruit" => "",
    "four_leaf_whole_vegetables" => "",
    "four_leaf_whole_grains" => "",
    "four_leaf_omega_3" => "",
    "four_leaf_dairy_foods" => "",
    "four_leaf_eggs" => "",
    "four_leaf_cows_milk" => "",
    "four_leaf_added_sugar" => "",
    "four_leaf_white_flour" => "",
    "four_leaf_sweets_salty_snacks" => "",
    "four_leaf_meat_poultry_and_fish" => "",
    "four_leaf_vegetable_oil" => "",
    "nutrition_caffeinated" => "",
    "nutrition_alcohol" => "",
    "nutrition_junk_food" => "",
    "nutrition_restaurant" => "",
    "nutrition_sugary_drinks" => "",
    "nutrition_8_glasses" => "",
    "nutrition_nuts" => "",
    "nutrition_artificial_sweeteners" => "",
    "nutrition_salt" => "",
    "nutrition_processed_meats" => "",
    "nutrition_text_reactions" => "",
    "nutrition_text_avoid_foods" => "",
    "nutrition_text_crave_foods" => "",
    "nutrition_text_diet_plan" => "",
    "nutrition_text_overeating" => "",
    "nutrition_text_food_choices" => "",
    "nutrition_text_eating_disorder" => "",
    "nutrition_supplements" => [],
    "nutrition_oils" => [],
    "food_recall_breakfast" => "",
    "food_recall_breakfast_time" => "",
    "food_recall_lunch" => "",
    "food_recall_lunch_time" => "",
    "food_recall_dinner" => "",
    "food_recall_dinner_time" => "",
    "food_recall_snacks" => "",
    "food_recall_snacks_time" => "",
    "food_recall_drinks" => "",
    "food_recall_drinks_time" => "",
    "wm_skip_meals" => "",
    "wm_snacks" => "",
    "wm_tv_while_eating" => "",
    "wm_eating_in_bed" => "",
    "wm_difficulty_sleeping" => "",
    "wm_lack_exercise" => "",
    "wm_lack_purpose" => "",
    "wm_eating_habit_factors" => [],
    "wm_eating_situations" => [],
    "weight_loss_medications" => [],
    "weight_loss_medications_other" => "",
    "weight_loss_strategies" => [],
    "weight_loss_strategies_other" => "",
    "weight_loss_fad_diets" => [],
    "weight_loss_fad_diets_other" => "",
];

if ($point->lastChildReview && $point->lastChildReview->data) {
    $point->lastChildReview->data = json_decode($point->lastChildReview->data, true);
    $contentData = $point->lastChildReview->data;
}
?>
<div class="p-3 mcp-theme-1">

    <div visit-moe close-on-save close-on-cancel class="d-block">
        <form show url="/api/visitPoint/upsertChildReview" class="mcp-theme-1">
            <input type="hidden" name="uid" value="<?= $point->uid ?>">
            <input type="hidden" name="noteUid" value="<?= $note->uid ?>">
            <input type="hidden" name="segmentUid" value="<?= $note->coreSegment->uid ?>">
            <input type="hidden" name="data" value="{{json_encode($contentData)}}">

            <div id="edit-univ_sub_nutrition_assessment-container">

                @include('app.patient.modules._undo_changes', compact('point'))

                <!-- 4-leaf survey -->
                <p class="font-weight-bold my-3 font-size-14"><i>The 4Leaf Survey</i></p>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">1.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>FRESH FRUIT.</b> On average, how many daily servings of whole
                                fresh fruit do you eat? (Fruit juice doesn't count; not a whole plant)
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_fresh_fruit">
                                    <option value="0">0</option>
                                    <option value="1-2">1-2</option>
                                    <option value="3-5">3-5</option>
                                    <option value="6+">6+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">2.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>WHOLE VEGETABLES.</b> On average, how many daily servings of
                                whole vegetables do you eat?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px"
                                        v-model="data.four_leaf_whole_vegetables">
                                    <option value="0">0</option>
                                    <option value="1-2">1-2</option>
                                    <option value="3-5">3-5</option>
                                    <option value="6+">6+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">3.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>WHOLE GRAINS, LEGUMES, POTATOES</b> or other starches. On average,
                                how many daily servings of these foods do you eat?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_whole_grains">
                                    <option value="0">0</option>
                                    <option value="1-2">1-2</option>
                                    <option value="3-5">3-5</option>
                                    <option value="6+">6+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">4.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>OMEGA-3s.</b> Are you getting all you need from whole, plant-based
                                sources like flaxseeds, walnuts, hemp & chia seeds?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_omega_3">
                                    <option value="No">No</option>
                                    <option value="Maybe">Maybe</option>
                                    <option value="Not Sure">Not Sure</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">5.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>DAIRY FOODS.</b> How many days per week do you eat dairy foods
                                like cheese, yogurt and ice cream? (Soy does not count)
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_dairy_foods">
                                    <option value="0">0</option>
                                    <option value="1-2">1-2</option>
                                    <option value="3-5">3-5</option>
                                    <option value="6-7">6-7</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">6.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>EGGS.</b> How many days per week do you either eat eggs or add
                                them as an ingredient when cooking?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_eggs">
                                    <option value="0">0</option>
                                    <option value="1-2">1-2</option>
                                    <option value="3-5">3-5</option>
                                    <option value="6-7">6-7</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">7.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>COW'S MILK OR CREAM.</b> How many days per week do you drink
                                them or add to your food, like cereal, coffee, etc.?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_cows_milk">
                                    <option value="0">0</option>
                                    <option value="1-2">1-2</option>
                                    <option value="3-5">3-5</option>
                                    <option value="6-7">6-7</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">8.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>ADDED SUGAR.</b> Are you really serious about eliminating added
                                sugar at home and in food products that you buy?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_added_sugar">
                                    <option value="You bet">You bet</option>
                                    <option value="Fairly">Fairly</option>
                                    <option value="Not Very">Not Very</option>
                                    <option value="No">No</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">9.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>WHITE FLOUR.</b> Bread, pasta, cakes, cookies, etc. How would you
                                describe your consumption level of these foods.
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_white_flour">
                                    <option value="Zero">Zero</option>
                                    <option value="Light">Light</option>
                                    <option value="Medium">Medium</option>
                                    <option value="Heavy">Heavy</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">10.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>SWEETS & SALTY SNACKS.</b> How would you best describe your
                                consumption level of these unhealthy foods.
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_sweets_salty_snacks">
                                    <option value="Minimal">Minimal</option>
                                    <option value="Light">Light</option>
                                    <option value="Medium">Medium</option>
                                    <option value="Heavy">Heavy</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">11.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>MEAT, POULTRY AND FISH.</b> How many of your meals per week
                                include any animal flesh? (beef, pork, lamb, chicken, turkey or fish)
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_meat_poultry_and_fish">
                                    <option value="0-1">0-1</option>
                                    <option value="2-5">2-5</option>
                                    <option value="6-11">6-11</option>
                                    <option value="12+">12+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">12.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                <b>VEGETABLE OIL.</b> How many of your meals per week include vegetable
                                oil, like olive or canola? (All oil is 100% fat, not whole plant)
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.four_leaf_vegetable_oil">
                                    <option value="0-1">0-1</option>
                                    <option value="2-5">2-5</option>
                                    <option value="6-11">6-11</option>
                                    <option value="12+">12+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="my-4">

                <!-- nutrition -->
                <p class="font-weight-bold my-3 font-size-14"><i>NUTRITION - Eating Patterns</i></p>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, how many cups (8 oz.) of caffeinated beverages do you drink per day (tea, soda, coffee, or
                                energy drinks)?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_caffeinated">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4+">4+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, how many servings of alcohol do you drink per day?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_alcohol">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4+">4+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, how often do you snack on convenience or “junk” food per day? (i.e. chips, candy, granola
                                bars, crackers, cookies, etc.)
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_junk_food">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4+">4+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, how many meals do you buy from a restaurant or fast food per week?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_restaurant">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4+">4+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, how many cups (8 oz.) of sugary drinks (soda, sports drinks, juice) do you drink per day?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_sugary_drinks">
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4+">4+</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, do you drink at least 8 glasses of water per day?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_8_glasses">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, do you eat at least 5 handfuls of nuts per week? No Yes
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_nuts">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Do you use natural or artificial sweeteners? (i.e. Equal, Stevia, Splenda, Sweet & Low, honey, agave,
                                etc.) No Yes
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_artificial_sweeteners">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Do you add salt to most of your meals? No Yes
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_salt">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">j.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Do you eat processed meats (i.e. sausage, hot dogs, salami, bacon)?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.nutrition_processed_meats">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">k.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                Do you have any bad reactions (sensitivities or allergies) to food? If yes, please list here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_reactions">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">l.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                Do you avoid any particular foods? If yes, please list here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_avoid_foods">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">m.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                Do you have foods that you crave? If yes, please list here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_crave_foods">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">n.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                Are you currently following a particular diet or nutrition plan? If yes, please list here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_diet_plan">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">o.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                During the last 3 months, did you have any episodes of excessive overeating? If yes please explain here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_overeating">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">p.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                Are you concerned about making the wrong food choices? If yes, please explain here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_food_choices">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">q.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                Have you ever had an eating disorder? If yes, please list here:
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="text" class="form-control form-control-sm"
                                       v-model="data.nutrition_text_eating_disorder">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                        <div class="font-weight-bold mb-1">Do you use any of the following VITAMINS or SUPPLEMENTS? <i>Check all that apply</i></div>
                        <table class="table table-sm table-striped table-bordered m-0">
                            <tbody>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Vitamin D"></td>
                                <td class="text-nowrap align-middle" colspan="2">Vitamin D</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Calcium"></td>
                                <td class="text-nowrap align-middle" colspan="2">Calcium</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Vitamin B12"></td>
                                <td class="text-nowrap align-middle" colspan="2">Vitamin B12</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Probiotics"></td>
                                <td class="text-nowrap align-middle" colspan="2">Probiotics</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Omega 3"></td>
                                <td class="text-nowrap align-middle" colspan="2">Omega 3</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Multivitamin"></td>
                                <td class="text-nowrap align-middle" colspan="2">Multivitamin</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_supplements" value="Other"></td>
                                <td class="text-nowrap align-middle">Other</td>
                                <td class="p-0">
                                    <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.nutrition_supplements_other">
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-6">
                        <div class="font-weight-bold mb-1">Do you use any of the following OILS with your meals or cooking? <i>Check all that apply</i></div>
                        <table class="table table-sm table-striped table-bordered m-0">
                            <tbody>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Olive Oil"></td>
                                <td class="text-nowrap align-middle" colspan="2">Olive Oil</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Canola Oil"></td>
                                <td class="text-nowrap align-middle" colspan="2">Canola Oil</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Vegetable Oil"></td>
                                <td class="text-nowrap align-middle" colspan="2">Vegetable Oil</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Coconut Oil"></td>
                                <td class="text-nowrap align-middle" colspan="2">Coconut Oil</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Butter"></td>
                                <td class="text-nowrap align-middle" colspan="2">Butter</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Lard"></td>
                                <td class="text-nowrap align-middle" colspan="2">Lard</td>
                            </tr>
                            <tr>
                                <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.nutrition_oils" value="Other"></td>
                                <td class="text-nowrap align-middle">Other</td>
                                <td class="p-0">
                                    <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.nutrition_oils_other">
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <p class="font-weight-bold my-3 font-size-14">FOOD RECALL: <i>Please record below what AND how much you ate and drank yesterday (or the last typical day)</i></p>
                <table class="table table-sm table-striped table-bordered m-0">
                    <tbody>
                    <tr>
                        <td class="text-nowrap align-middle">Breakfast:</td>
                        <td class="p-0 w-50">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_breakfast">
                        </td>
                        <td class="text-nowrap align-middle">Time:</td>
                        <td class="p-0">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_breakfast_time">
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle">Lunch:</td>
                        <td class="p-0 w-50">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_lunch">
                        </td>
                        <td class="text-nowrap align-middle">Time:</td>
                        <td class="p-0">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_lunch_time">
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle">Dinner:</td>
                        <td class="p-0 w-50">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_dinner">
                        </td>
                        <td class="text-nowrap align-middle">Time:</td>
                        <td class="p-0">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_dinner_time">
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle">Snacks:</td>
                        <td class="p-0 w-50">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_snacks">
                        </td>
                        <td class="text-nowrap align-middle">Time:</td>
                        <td class="p-0">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_snacks_time">
                        </td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle">Drinks/Beverages:</td>
                        <td class="p-0 w-50">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_drinks">
                        </td>
                        <td class="text-nowrap align-middle">Time:</td>
                        <td class="p-0">
                            <input class="form-control form-control-sm min-width-unset border-0 rounded-0 shadow-none" type="text" v-model="data.food_recall_drinks_time">
                        </td>
                    </tr>
                    </tbody>
                </table>
                <hr class="my-4">

                <!-- WEIGHT MANAGEMENT -->
                <p class="font-weight-bold my-3 font-size-14"><i>WEIGHT MANAGEMENT</i></p>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you skip meals?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_skip_meals">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you snack in between meals?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_snacks">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you eat while watching TV?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_tv_while_eating">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you eat while in bed?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_eating_in_bed">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you have difficulty sleeping?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_difficulty_sleeping">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you lack physical activity or exercise?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_lack_exercise">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How often do you feel a lack of purpose or meaning in your life?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wm_lack_purpose">
                                    <option value="1">1 - Never</option>
                                    <option value="2">2 - Seldom</option>
                                    <option value="3">3 - Sometimes</option>
                                    <option value="4">4 - Often</option>
                                    <option value="5">5 - Always</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="font-weight-bold mb-1">Which of the following factors apply to your eating habits and current lifestyle? <i>Check all that apply</i></div>
                <table class="table table-sm table-striped table-bordered mb-3">
                    <tbody>
                    <tr>

                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Like healthy food"></td>
                        <td class="text-nowrap align-middle">Like healthy food</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Don’t like healthy food"></td>
                        <td class="text-nowrap align-middle">Don’t like healthy food</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Know how to cook healthy foods"></td>
                        <td class="text-nowrap align-middle">Know how to cook healthy foods</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Fast eater"></td>
                        <td class="text-nowrap align-middle">Fast eater</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Eat slowly"></td>
                        <td class="text-nowrap align-middle">Eat slowly</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Read nutrition labels"></td>
                        <td class="text-nowrap align-middle">Read nutrition labels</td>
                    </tr>
                    <tr>



                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Rely on packaged or fast foods"></td>
                        <td class="text-nowrap align-middle">Rely on packaged or fast foods</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Dislike cooking"></td>
                        <td class="text-nowrap align-middle">Dislike cooking</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Prepare meals at home"></td>
                        <td class="text-nowrap align-middle">Prepare meals at home</td>
                    </tr>
                    <tr>



                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Do not plan meals"></td>
                        <td class="text-nowrap align-middle">Do not plan meals</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Eat a variety of foods"></td>
                        <td class="text-nowrap align-middle">Eat a variety of foods</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Always hungry"></td>
                        <td class="text-nowrap align-middle">Always hungry</td>
                    </tr>
                    <tr>



                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Late night eater"></td>
                        <td class="text-nowrap align-middle">Late night eater</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Negative relationship to food"></td>
                        <td class="text-nowrap align-middle">Negative relationship to food</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Erratic eater"></td>
                        <td class="text-nowrap align-middle">Erratic eater</td>
                    </tr>
                    <tr>



                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="No time to prepare healthy food choices"></td>
                        <td class="text-nowrap align-middle">No time to prepare healthy food choices</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Don’t know how to cook"></td>
                        <td class="text-nowrap align-middle">Don’t know how to cook</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_habit_factors" value="Live alone or eat alone often"></td>
                        <td class="text-nowrap align-middle">Live alone or eat alone often</td>
                    </tr>
                    </tbody>
                </table>
                <div class="font-weight-bold mb-1">Do any of the following situations or emotions cause you to eat? <i>Check all that apply</i></div>
                <table class="table table-sm table-striped table-bordered m-0">
                    <tbody>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Sadness"></td>
                        <td class="text-nowrap align-middle">Sadness</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Pain"></td>
                        <td class="text-nowrap align-middle">Pain</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Insomnia"></td>
                        <td class="text-nowrap align-middle">Insomnia</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Anxiety"></td>
                        <td class="text-nowrap align-middle">Anxiety</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Fatigue"></td>
                        <td class="text-nowrap align-middle">Fatigue</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Social or Family Situations"></td>
                        <td class="text-nowrap align-middle">Social or Family Situations</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Boredom"></td>
                        <td class="text-nowrap align-middle">Boredom</td>
                        <td class="text-nowrap align-middle width-40px text-center"><input type="checkbox" class="m-0" v-model="data.wm_eating_situations" value="Stress"></td>
                        <td class="text-nowrap align-middle">Stress</td>
                    </tr>
                    </tbody>
                </table>
                <hr class="my-4">

                <!-- WEIGHT HISTORY -->
                <p class="font-weight-bold my-3 font-size-14"><i>WEIGHT HISTORY</i></p>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you ever been overweight or obese? If yes, answer below:
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_obese">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Were you overweight as a child?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_obese_child">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Were you overweight as a teenager?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_obese_teenager">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Were you overweight between the ages of 20-29?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_obese_20_29">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Were you overweight between the ages of 30-39?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_obese_30_39">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Were you overweight above the age of 40?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_obese_40_plus">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Are you currently trying to lose or gain weight?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_looking_to_lose_or_gain">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If yes, please circle your goal:
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_lose_or_gain">
                                    <option value="Lose weight">Lose weight</option>
                                    <option value="Gain weight">Gain weight</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you ever intentionally lost or reduced your weight by more than 5 lbs.?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_intentionally_lost_5_lbs">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If yes, did you regain weight within 1 year?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_regained_within_a_year">
                                    <option value="Lose weight">Lose weight</option>
                                    <option value="Gain weight">Gain weight</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-1">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you had weight loss surgery?
                            </div>
                            <div class="col-6">
                                <select class="form-control form-control-sm width-200px" v-model="data.wh_weight_loss_surgery">
                                    <option value="No">No</option>
                                    <option value="Yes">Yes</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If yes, please list the type of surgery you had:
                            </div>
                            <div class="col-6">
                                <input class="form-control form-control-sm" v-model="data.wh_weight_loss_surgery_text">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="font-weight-bold mb-2">Have you ever used weight loss medications? <i>If yes, circle which ones you have used? If other, please list.</i></div>
                <div class="d-flex flex-wrap">
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Acutrim" class="mr-2"><span>Acutrim</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Alli" class="mr-2"><span>Alli</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Amphetamines" class="mr-2"><span>Amphetamines</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Anorex" class="mr-2"><span>Anorex</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Belviq" class="mr-2"><span>Belviq</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Byetta" class="mr-2"><span>Byetta</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Contrave" class="mr-2"><span>Contrave</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Dexatrim" class="mr-2"><span>Dexatrim</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Didrex" class="mr-2"><span>Didrex</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Fastin" class="mr-2"><span>Fastin</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Fen-Phen" class="mr-2"><span>Fen-Phen</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Fenfluramine" class="mr-2"><span>Fenfluramine</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Mazanor" class="mr-2"><span>Mazanor</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Meridia" class="mr-2"><span>Meridia</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Obalan" class="mr-2"><span>Obalan</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Phendiet" class="mr-2"><span>Phendiet</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Phentermine" class="mr-2"><span>Phentermine</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Plegine" class="mr-2"><span>Plegine</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Pondimin" class="mr-2"><span>Pondimin</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Prozac" class="mr-2"><span>Prozac</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Qsymia" class="mr-2"><span>Qsymia</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Redux" class="mr-2"><span>Redux</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Sanorex" class="mr-2"><span>Sanorex</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Tenuate" class="mr-2"><span>Tenuate</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Tepanol" class="mr-2"><span>Tepanol</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Vyvanse" class="mr-2"><span>Vyvanse</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Wechless" class="mr-2"><span>Wechless</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Wellbutrin" class="mr-2"><span>Wellbutrin</span></div>
                    <div class="d-inline-flex width-150px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="Xenical" class="mr-2"><span>Xenical</span></div>
                    <div class="d-inline-flex text-nowrap align-items-baseline"><input type="checkbox" v-model="data.weight_loss_medications" value="i_dont_remember" class="mr-2"><span>I don't remember the name of the medication</span></div>
                </div>
                <div class="d-flex align-items-center mt-1 mb-3">
                    <input type="checkbox" v-model="data.weight_loss_medications" value="other" class="mr-2">
                    <span class="mr-2">Other</span>
                    <input type="text" class="flex-grow-1 form-control form-control-sm" v-model="data.weight_loss_medications_other">
                </div>
                <p class="font-weight-bold font=size-14">WEIGHT LOSS STRATEGIES</p>
                <div class="font-weight-bold mb-2">Have you tried any of the following alternative therapies or programs? <i>Check all that apply. If other, please list.</i></div>
                <div class="d-flex flex-wrap">
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_strategies" value="Acupuncture" class="mr-2"><span>Acupuncture</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_strategies" value="Acupressure" class="mr-2"><span>Acupressure</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_strategies" value="Nutritionist/Registered Dietitian" class="mr-2"><span>Nutritionist/Registered Dietitian</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_strategies" value="Residential Programs" class="mr-2"><span>Residential Programs</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_strategies" value="Hypnosis" class="mr-2"><span>Hypnosis</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_strategies" value="Physical Activity/Exercises" class="mr-2"><span>Physical Activity/Exercises</span></div>
                </div>
                <div class="d-flex align-items-center mt-1 mb-3">
                    <input type="checkbox" v-model="data.weight_loss_strategies" value="other" class="mr-2">
                    <span class="mr-2">Other</span>
                    <input type="text" class="flex-grow-1 form-control form-control-sm" v-model="data.weight_loss_strategies_other">
                </div>
                <div class="font-weight-bold mb-2">Which commercial or fad diets have you tried in the past? <i>Check all that apply. If other, please list.</i></div>
                <div class="d-flex flex-wrap">
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Atkins Diet" class="mr-2"><span>Atkins Diet</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Calorie Counting" class="mr-2"><span>Calorie Counting</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="CHIP" class="mr-2"><span>CHIP</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="DASH" class="mr-2"><span>DASH</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Elimination Diet (Allergy)" class="mr-2"><span>Elimination Diet (Allergy)</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Gluten Free" class="mr-2"><span>Gluten Free</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Jenny Craig" class="mr-2"><span>Jenny Craig</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Low Carb" class="mr-2"><span>Low Carb</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Low Fat" class="mr-2"><span>Low Fat</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Mediterranean Diet" class="mr-2"><span>Mediterranean Diet</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Paleo" class="mr-2"><span>Paleo</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Slim Fast/Meal" class="mr-2"><span>Slim Fast/Meal</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="South Beach" class="mr-2"><span>South Beach</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Vegan" class="mr-2"><span>Vegan</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Vegetarian" class="mr-2"><span>Vegetarian</span></div>
                    <div class="d-inline-flex width-300px align-items-baseline"><input type="checkbox" v-model="data.weight_loss_fad_diets" value="Weight Watchers" class="mr-2"><span>Weight Watchers</span></div>
                </div>
                <div class="d-flex align-items-center mt-1 mb-3">
                    <input type="checkbox" v-model="data.weight_loss_fad_diets" value="other" class="mr-2">
                    <span class="mr-2">Other</span>
                    <input type="text" class="flex-grow-1 form-control form-control-sm" v-model="data.weight_loss_fad_diets_other">
                </div>

                <div class="mt-3 pt-3 border-top text-center">
                    <button type="button" v-on:click.prevent="saveForm()" class="btn btn-sm btn-primary mr-2">Submit</button>
                    <button type="button" onclick="closeStagPopup()" class="btn btn-sm btn-default border">Cancel</button>
                </div>

            </div>

            <div class="d-none">
                <button submit class="btn btn-sm btn-primary mr-2">Submit</button>
                <button cancel class="btn btn-sm btn-default border">Cancel</button>
            </div>
        </form>
    </div>
</div>
<script>
    (function() {
        function init() {

            runMCInitializer('hide-moes');

            // any JS can come here
            // will be run on page-load as well as whenever this segment is refreshed
            new Vue({
                el: '#edit-univ_sub_nutrition_assessment-container',
                delimiters: ["@{{","}}"],
                data: {
                    data: <?= json_encode($contentData) ?>
                },
                watch: {
                    $data: {
                        handler: function(val, oldVal) {
                            let parent = $('#edit-univ_sub_nutrition_assessment-container').closest('form');
                            parent.find('[name="data"]').val(JSON.stringify(this.data));

                            // autosave on change
                            autoSaveSegment(parent.find('[submit]').first());
                        },
                        deep: true
                    }
                },
                methods: {
                    saveForm: function() {
                        let parent = $('#edit-univ_sub_nutrition_assessment-container').closest('form');
                        parent.find('[name="data"]').val(JSON.stringify(this.data));
                        autoSaveSegmentAndClose(parent.find('[submit]').first());
                    },
                    undoChanges: function() {
                        $.post('/api/visitPoint/destroyCurrentChildReview', {
                            uid: '{{$point->uid}}'
                        }, _data => {
                            if(!hasResponseError(_data)) {
                                closeStagPopup();
                                refreshSegment('omega_subjective_system');
                            }
                        });
                        return false;
                    }
                }
            });

            // if in popup (omega template), add provision to toggle relevance
            @include('app.patient.segment-templates._common_actions.toggle-relevance', ['container' => '#edit-univ_sub_nutrition_assessment-container'])
        }

        window.segmentInitializers.lifestyle_nutrition = init;

        addMCInitializer('edit-univ_sub_nutrition_assessment-container-{{$note->id}}', init, '#edit-univ_sub_nutrition_assessment-container');

    })();
</script>