<?php

use App\Models\Client;
use App\Models\Point;
use App\Models\Note;
/** @var Client $patient */
/** @var Note $note */

$point = Point::getGlobalSingletonOfCategory($patient, 'LIFESTYLE_NUTRITION', false);

if ($point && @$point->data) {
    $contentData = $point->data;
?>

    <div class="mt-3">

        <!-- 4-leaf survey -->
        <p class="font-weight-bold my-3 font-size-14"><i>The 4Leaf Survey</i></p>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">1.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>FRESH FRUIT.</b> On average, how many daily servings of whole
                        fresh fruit do you eat? (Fruit juice doesn't count; not a whole plant)
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_fresh_fruit ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">2.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>WHOLE VEGETABLES.</b> On average, how many daily servings of
                        whole vegetables do you eat?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_whole_vegetables ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">3.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>WHOLE GRAINS, LEGUMES, POTATOES</b> or other starches. On average,
                        how many daily servings of these foods do you eat?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_whole_grains ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">4.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>OMEGA-3s.</b> Are you getting all you need from whole, plant-based
                        sources like flaxseeds, walnuts, hemp & chia seeds?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_omega_3 ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">5.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>DAIRY FOODS.</b> How many days per week do you eat dairy foods
                        like cheese, yogurt and ice cream? (Soy does not count)
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_dairy_foods ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">6.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>EGGS.</b> How many days per week do you either eat eggs or add
                        them as an ingredient when cooking?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_eggs ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">7.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>COW'S MILK OR CREAM.</b> How many days per week do you drink
                        them or add to your food, like cereal, coffee, etc.?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_cows_milk ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">8.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>ADDED SUGAR.</b> Are you really serious about eliminating added
                        sugar at home and in food products that you buy?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_added_sugar ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">9.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>WHITE FLOUR.</b> Bread, pasta, cakes, cookies, etc. How would you
                        describe your consumption level of these foods.
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_white_flour ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">10.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>SWEETS & SALTY SNACKS.</b> How would you best describe your
                        consumption level of these unhealthy foods.
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_sweets_salty_snacks ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">11.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>MEAT, POULTRY AND FISH.</b> How many of your meals per week
                        include any animal flesh? (beef, pork, lamb, chicken, turkey or fish)
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_meat_poultry_and_fish ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">12.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        <b>VEGETABLE OIL.</b> How many of your meals per week include vegetable
                        oil, like olive or canola? (All oil is 100% fat, not whole plant)
                    </div>
                    <div class="col-6">
                        <?= @$contentData->four_leaf_vegetable_oil ?>
                    </div>
                </div>
            </div>
        </div>
        <hr class="my-4">

        <!-- nutrition -->
        <p class="font-weight-bold my-3 font-size-14"><i>NUTRITION - Eating Patterns</i></p>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, how many cups (8 oz.) of caffeinated beverages do you drink per day (tea, soda, coffee, or
                        energy drinks)?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_caffeinated ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, how many servings of alcohol do you drink per day?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_alcohol ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, how often do you snack on convenience or “junk” food per day? (i.e. chips, candy, granola
                        bars, crackers, cookies, etc.)
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_junk_food ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, how many meals do you buy from a restaurant or fast food per week?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_restaurant ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, how many cups (8 oz.) of sugary drinks (soda, sports drinks, juice) do you drink per day?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_sugary_drinks ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, do you drink at least 8 glasses of water per day?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_8_glasses ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        On average, do you eat at least 5 handfuls of nuts per week? No Yes
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_nuts ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Do you use natural or artificial sweeteners? (i.e. Equal, Stevia, Splenda, Sweet & Low, honey, agave,
                        etc.) No Yes
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_artificial_sweeteners ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Do you add salt to most of your meals? No Yes
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_salt ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">j.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Do you eat processed meats (i.e. sausage, hot dogs, salami, bacon)?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->nutrition_processed_meats ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">k.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        Do you have any bad reactions (sensitivities or allergies) to food? If yes, please list here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_reactions ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">l.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        Do you avoid any particular foods? If yes, please list here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_avoid_foods ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">m.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        Do you have foods that you crave? If yes, please list here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_crave_foods ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">n.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        Are you currently following a particular diet or nutrition plan? If yes, please list here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_diet_plan ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">o.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        During the last 3 months, did you have any episodes of excessive overeating? If yes please explain here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_overeating ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">p.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        Are you concerned about making the wrong food choices? If yes, please explain here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_food_choices ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">q.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-12">
                        Have you ever had an eating disorder? If yes, please list here:
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <?= @$contentData->nutrition_text_eating_disorder ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-6">
                <div class="font-weight-bold mb-1">Do you use any of the following VITAMINS or SUPPLEMENTS? <i>Check all that apply</i></div>
                <table class="table table-sm table-striped table-bordered m-0">
                    <tbody>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Vitamin D', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Vitamin D</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Calcium', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Calcium</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Vitamin B12', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Vitamin B12</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Probiotics', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Probiotics</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Omega 3', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Omega 3</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Multivitamin', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Multivitamin</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_supplements && in_array('Other', $contentData->nutrition_supplements)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle">Other</td>
                        <td class="p-0">
                            <?= @$contentData->nutrition_supplements_other ?>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-6">
                <div class="font-weight-bold mb-1">Do you use any of the following OILS with your meals or cooking? <i>Check all that apply</i></div>
                <table class="table table-sm table-striped table-bordered m-0">
                    <tbody>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Olive Oil', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Olive Oil</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Canola Oil', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Canola Oil</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Vegetable Oil', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Vegetable Oil</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Coconut Oil', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Coconut Oil</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Butter', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Butter</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Lard', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle" colspan="2">Lard</td>
                    </tr>
                    <tr>
                        <td class="text-nowrap align-middle width-40px text-center">
                            <?php if (@$contentData->nutrition_oils && in_array('Other', $contentData->nutrition_oils)) : ?><i class="fa fa-check"></i><?php endif; ?>
                        </td>
                        <td class="text-nowrap align-middle">Other</td>
                        <td class="p-0">
                            <?= @$contentData->nutrition_oils_other ?>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <p class="font-weight-bold my-3 font-size-14">FOOD RECALL: <i>Please record below what AND how much you ate and drank yesterday (or the last typical day)</i></p>
        <table class="table table-sm table-striped table-bordered m-0">
            <tbody>
            <tr>
                <td class="text-nowrap align-middle">Breakfast:</td>
                <td class="p-0 w-50">
                    <?= @$contentData->food_recall_breakfast ?>
                </td>
                <td class="text-nowrap align-middle">Time:</td>
                <td class="p-0">
                    <?= @$contentData->food_recall_breakfast_time ?>
                </td>
            </tr>
            <tr>
                <td class="text-nowrap align-middle">Lunch:</td>
                <td class="p-0 w-50">
                    <?= @$contentData->food_recall_lunch ?>
                </td>
                <td class="text-nowrap align-middle">Time:</td>
                <td class="p-0">
                    <?= @$contentData->food_recall_lunch_time ?>
                </td>
            </tr>
            <tr>
                <td class="text-nowrap align-middle">Dinner:</td>
                <td class="p-0 w-50">
                    <?= @$contentData->food_recall_dinner ?>
                </td>
                <td class="text-nowrap align-middle">Time:</td>
                <td class="p-0">
                    <?= @$contentData->food_recall_dinner_time ?>
                </td>
            </tr>
            <tr>
                <td class="text-nowrap align-middle">Snacks:</td>
                <td class="p-0 w-50">
                    <?= @$contentData->food_recall_snacks ?>
                </td>
                <td class="text-nowrap align-middle">Time:</td>
                <td class="p-0">
                    <?= @$contentData->food_recall_snacks_time ?>
                </td>
            </tr>
            <tr>
                <td class="text-nowrap align-middle">Drinks/Beverages:</td>
                <td class="p-0 w-50">
                    <?= @$contentData->food_recall_drinks ?>
                </td>
                <td class="text-nowrap align-middle">Time:</td>
                <td class="p-0">
                    <?= @$contentData->food_recall_drinks_time ?>
                </td>
            </tr>
            </tbody>
        </table>
        <hr class="my-4">

        <!-- WEIGHT MANAGEMENT -->
        <p class="font-weight-bold my-3 font-size-14"><i>WEIGHT MANAGEMENT</i></p>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you skip meals?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_skip_meals ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you snack in between meals?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_snacks ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you eat while watching TV?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_tv_while_eating ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you eat while in bed?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_eating_in_bed ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you have difficulty sleeping?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_difficulty_sleeping ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you lack physical activity or exercise?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_lack_exercise ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        How often do you feel a lack of purpose or meaning in your life?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wm_lack_purpose ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="font-weight-bold mb-1">Which of the following factors apply to your eating habits and current lifestyle? <i>Check all that apply</i></div>
        <table class="table table-sm table-striped table-bordered mb-3">
            <tbody>
            <tr>

                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Like healthy food', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Like healthy food</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Don’t like healthy food', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Don’t like healthy food</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Know how to cook healthy foods', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Know how to cook healthy foods</td>
            </tr>
            <tr>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Fast eater', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Fast eater</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Eat slowly', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Eat slowly</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Read nutrition labels', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Read nutrition labels</td>
            </tr>
            <tr>



                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Rely on packaged or fast foods', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Rely on packaged or fast foods</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Dislike cooking', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Dislike cooking</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Prepare meals at home', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Prepare meals at home</td>
            </tr>
            <tr>



                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Do not plan meals', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Do not plan meals</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Eat a variety of foods', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Eat a variety of foods</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Always hungry', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Always hungry</td>
            </tr>
            <tr>



                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Late night eater', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Late night eater</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Negative relationship to food', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Negative relationship to food</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Erratic eater', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Erratic eater</td>
            </tr>
            <tr>



                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('No time to prepare healthy food choices', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">No time to prepare healthy food choices</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Don’t know how to cook', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Don’t know how to cook</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_habit_factors && in_array('Live alone or eat alone often', $contentData->wm_eating_habit_factors)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Live alone or eat alone often</td>
            </tr>
            </tbody>
        </table>
        <div class="font-weight-bold mb-1">Do any of the following situations or emotions cause you to eat? <i>Check all that apply</i></div>
        <table class="table table-sm table-striped table-bordered m-0">
            <tbody>
            <tr>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Sadness', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Sadness</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Pain', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Pain</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Insomnia', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Insomnia</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Anxiety', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Anxiety</td>
            </tr>
            <tr>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Fatigue', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Fatigue</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Social or Family Situations', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Social or Family Situations</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Boredom', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Boredom</td>
                <td class="text-nowrap align-middle width-40px text-center">
                    <?php if (@$contentData->wm_eating_situations && in_array('Stress', $contentData->wm_eating_situations)) : ?><i class="fa fa-check"></i><?php endif; ?>
                </td>
                <td class="text-nowrap align-middle">Stress</td>
            </tr>
            </tbody>
        </table>
        <hr class="my-4">

        <!-- WEIGHT HISTORY -->
        <p class="font-weight-bold my-3 font-size-14"><i>WEIGHT HISTORY</i></p>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Have you ever been overweight or obese? If yes, answer below:
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_obese ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Were you overweight as a child?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_obese_child ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Were you overweight as a teenager?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_obese_teenager ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Were you overweight between the ages of 20-29?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_obese_20_29 ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Were you overweight between the ages of 30-39?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_obese_30_39 ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Were you overweight above the age of 40?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_obese_40_plus ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Are you currently trying to lose or gain weight?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_looking_to_lose_or_gain ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        If yes, please circle your goal:
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_lose_or_gain ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Have you ever intentionally lost or reduced your weight by more than 5 lbs.?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_intentionally_lost_5_lbs ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        If yes, did you regain weight within 1 year?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_regained_within_a_year ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-1">
            <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        Have you had weight loss surgery?
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_weight_loss_surgery ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-baseline mb-3">
            <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
            <div class="flex-grow-1">
                <div class="row">
                    <div class="col-6">
                        If yes, please list the type of surgery you had:
                    </div>
                    <div class="col-6">
                        <?= @$contentData->wh_weight_loss_surgery_text ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="font-weight-bold mb-2">Have you ever used weight loss medications? <i>If yes, circle which ones you have used? If other, please list.</i></div>
        <div class="d-flex flex-wrap">
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Acutrim', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Acutrim</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Alli', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Alli</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Amphetamines', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Amphetamines</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Anorex', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Anorex</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Belviq', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Belviq</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Byetta', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Byetta</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Contrave', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Contrave</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Dexatrim', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Dexatrim</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Didrex', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Didrex</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Fastin', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Fastin</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Fen-Phen', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Fen-Phen</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Fenfluramine', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Fenfluramine</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Mazanor', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Mazanor</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Meridia', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Meridia</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Obalan', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Obalan</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Phendiet', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Phendiet</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Phentermine', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Phentermine</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Plegine', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Plegine</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Pondimin', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Pondimin</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Prozac', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Prozac</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Qsymia', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Qsymia</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Redux', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Redux</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Sanorex', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Sanorex</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Tenuate', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Tenuate</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Tepanol', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Tepanol</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Vyvanse', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Vyvanse</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Wechless', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Wechless</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Wellbutrin', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Wellbutrin</span>
            </div>
            <div class="d-inline-flex width-150px align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('Xenical', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Xenical</span>
            </div>
            <div class="d-inline-flex text-nowrap align-items-baseline">
                <?php if (@$contentData->weight_loss_medications && in_array('i_dont_remember', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>I don't remember the name of the medication</span>
            </div>
        </div>
        <div class="d-flex align-items-center mt-1 mb-3">
            <?php if (@$contentData->weight_loss_medications && in_array('other', $contentData->weight_loss_medications)) : ?><i class="fa fa-check"></i><?php endif; ?>
            <span class="mr-2">Other</span>
            <?= @$contentData->weight_loss_medications_other ?>
        </div>
        <p class="font-weight-bold font=size-14">WEIGHT LOSS STRATEGIES</p>
        <div class="font-weight-bold mb-2">Have you tried any of the following alternative therapies or programs? <i>Check all that apply. If other, please list.</i></div>
        <div class="d-flex flex-wrap">
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_strategies && in_array('Acupuncture', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Acupuncture</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_strategies && in_array('Acupressure', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Acupressure</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_strategies && in_array('Nutritionist/Registered Dietitian', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Nutritionist/Registered Dietitian</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_strategies && in_array('Residential Programs', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Residential Programs</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_strategies && in_array('Hypnosis', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Hypnosis</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_strategies && in_array('Physical Activity/Exercises', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Physical Activity/Exercises</span>
            </div>
        </div>
        <div class="d-flex align-items-center mt-1 mb-3">
            <?php if (@$contentData->weight_loss_strategies && in_array('other', $contentData->weight_loss_strategies)) : ?><i class="fa fa-check"></i><?php endif; ?>
            <span class="mr-2">Other</span>
            <?= @$contentData->weight_loss_strategies_other ?>
        </div>
        <div class="font-weight-bold mb-2">Which commercial or fad diets have you tried in the past? <i>Check all that apply. If other, please list.</i></div>
        <div class="d-flex flex-wrap">
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Atkins Diet', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Atkins Diet</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Calorie Counting', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Calorie Counting</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('CHIP', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>CHIP</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('DASH', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>DASH</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Elimination Diet (Allergy)', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Elimination Diet (Allergy)</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Gluten Free', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Gluten Free</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Jenny Craig', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Jenny Craig</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Low Carb', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Low Carb</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Low Fat', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Low Fat</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Mediterranean Diet', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Mediterranean Diet</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Paleo', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Paleo</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Slim Fast/Meal', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Slim Fast/Meal</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('South Beach', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>South Beach</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Vegan', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Vegan</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Vegetarian', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Vegetarian</span>
            </div>
            <div class="d-inline-flex width-300px align-items-baseline">
                <?php if (@$contentData->weight_loss_fad_diets && in_array('Weight Watchers', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
                <span>Weight Watchers</span>
            </div>
        </div>
        <div class="d-flex align-items-center mt-1 mb-3">
            <?php if (@$contentData->weight_loss_fad_diets && in_array('other', $contentData->weight_loss_fad_diets)) : ?><i class="fa fa-check"></i><?php endif; ?>
            <span class="mr-2">Other</span>
            <?= @$contentData->weight_loss_fad_diets_other ?>
        </div>
    </div>

<?php
} else {
    echo '<div class="text-secondary">-</div>';
}
?>

