<?php

use App\Models\Client;
use App\Models\Point;
use App\Models\Note;
/** @var Client $patient */
/** @var Note $note */

$point = Point::getGlobalSingletonOfCategory($patient, 'LIFESTYLE_SOCIAL_RELATIONSHIPS', false);

if ($point && @$point->data) {
$contentData = $point->data;
?>

<div id="v2_social_assessment_section" class="mt-3">

    <div class="row">
        <div class="col-md-12">
            <h5 class="bg-light p-1 font-weight-bold">PURPOSE AND CONNECTION</h5>
            <p><b>How often do you agree with the following:</b></p>
        </div>
    </div>

    <div class="row mb-1">

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I live a purposeful and meaningful life
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_live_purposeful_life ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I have a spiritual community that I can turn to in times of need
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_have_spiritual_community ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I have a source of inner strength and meaning
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_have_source_of_inner_strength ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I am satisfied with my current belief system
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_am_satisfied_with_current_belief_system ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I have people who care about what happens to me
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_have_people_who_care ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I have people who accept me at my worst and best
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_have_people_who_accept_me_at_my_worst_and_best ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I have people I trust at home or work who I can talk to about my problems
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_have_people_i_trust_at_home_or_work ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            I get help when I’m sick
                        </div>
                        <div class="col-6">
                            <?= @$contentData->social_i_get_help_when_i_am_sick ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>



    </div>



</div>

<?php
} else {
    echo '<div class="text-secondary">-</div>';
}
?>

