<?php

use App\Models\Client;
use App\Models\Point;
use App\Models\Note;
/** @var Client $patient */
/** @var Note $note */

$point = Point::getGlobalSingletonOfCategory($patient, 'LIFESTYLE_STRESS', false);

if ($point && @$point->data) {
$contentData = $point->data;
?>

<div id="v2_stress_assessment_Section" class="mt-3">
    <p class="font-weight-bold my-3 font-size-14"><i>Mental Health</i></p>
    <p><b>PERCEIVED STRESS</b></p>
    <p>(1 = Never, 2 = Seldom, 3 = Sometimes, 4 = Often, 5 = Always)</p>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    How often have you felt that you were unable to control the important things in your life?
                </div>
                <div class="col-6">
                    <?= @$contentData->uncontrollable_things_life ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    How often have you felt <b>lack of</b> confidence about your ability to handle your personal problems?
                </div>
                <div class="col-6">
                    <?= @$contentData->lack_confidence ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    How often have you felt that things were <b>not</b> going your way?
                </div>
                <div class="col-6">
                    <?= @$contentData->things_not_going_well ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Have often have you found it hard to let go of things that upset you?
                </div>
                <div class="col-6">
                    <?= @$contentData->let_things_go_hard ?>
                </div>
            </div>
        </div>
    </div>

    <p><b>How do you COPE with stress? <em>Check all that apply</em></b></p>
    <table class="table table-sm table-striped table-bordered m-0">
        <tbody>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Meditation', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Meditation</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Exercise/Physical Activity', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Exercise/Physical Activity</td>
        </tr>
        <tr>

            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Counseling/Psychotherapy ', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Counseling/Psychotherapy </td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Socializing with friends or', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Socializing with friends or</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('family ', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Family </td>
        </tr>
        <tr>

            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Art', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Art</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Food (too much, too little) ', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Food (too much, too little)</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Spirituality/Faith', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Spirituality/Faith</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Sex', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Sex</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Recreational drugs (i.e.', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Recreational drugs (i.e.</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('marijuana, cocaine, etc.)', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">marijuana, cocaine, etc.)</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Television and/or video games', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Television and/or video games</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Gambling ', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Gambling </td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Journaling', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Journaling</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Massage/Body work ', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Massage/Body work </td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Prayer', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Prayer</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Substance (tobacco, alcohol)', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Substance (tobacco, alcohol)</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Distraction', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?>&nbsp;</td>
            <td class="text-nowrap align-middle" colspan="2">Distraction</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Hurting yourself (i.e. cutting, etc.)', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Hurting yourself (i.e. cutting, etc.)</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Pet therapy', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Pet therapy</td>
        </tr>
        <tr>
            <td class="text-nowrap align-middle width-40px text-center">
                <?php if (@$contentData->cope_stress && in_array('Other', $contentData->cope_stress)): ?>
                <i class="fa fa-check"></i>
                <?php endif; ?></td>
            <td class="text-nowrap align-middle" colspan="2">Other</td>
        </tr>
        </tbody>
    </table>

    <p class="mt-2"><b>RESILIENCE</b></p>
    <p><b>When I am under extreme stress</b></p>
    <p>(1 = Never, 2 = Seldom, 3 = Sometimes, 4 = Often, 5 = Always)</p>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I find a way to learn from my experience.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_learn_from_experience ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I find a way to take action.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_take_action ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I find it easy to prioritize what is important in my life.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_prioritize_importance ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I look at a stressful situation as an opportunity to grow.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_opportunity_to_grow ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I meet the goals I set for myself.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_set_goals ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I believe that there are a lot of ways around a problem.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_ways_around_problem ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I feel motivated to pursue my goals.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_motivated_to_pursue_goals ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I know I can get through it.
                </div>
                <div class="col-6">
                    <?= @$contentData->extreme_stress_know_can_get_through_it ?>
                </div>
            </div>
        </div>
    </div>

    <p class="mt-2"><b>MIND-BODY CONNECTION</b></p>
    <p>(1 = Never, 2 = Seldom, 3 = Sometimes, 4 = Often, 5 = Always)</p>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    I meet the goals I set for myself.
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_set_goals ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Do thoughts or feelings affect your physical health?
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_feelings_affect ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Could you be experiencing some emotion and not be aware of it?
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_emotion_experience ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Are you aware of tension in your body?
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_tension_aware ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Do you notice how your body changes when angry?
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_angry ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Do you notice stress in your body?
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_stress ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Do you notice how your body reacts to emotions?
                </div>
                <div class="col-6">
                    <?= @$contentData->body_connect_emotion_react ?>
                </div>
            </div>
        </div>
    </div>

    <p class="mt-2"><b>DEPRESSION</b></p>
    <p><b>Over the last 2 weeks, how often have you been bothered by the following?</b></p>
    <p>
        (0 = Not at all, 1 = Several days, 2 = Most days, 3 = Daily)
    </p>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Little interest or pleasure in doing things.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_little_interest ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Feeling down, depressed or hopeless.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_feeling_depressed ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Trouble falling asleep, staying asleep, or sleeping too much.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_trouble_sleeping ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Feeling tired or having little energy.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_feeling_tired ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Poor appetite or overeating.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_poor_appetite ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Feeling bad about yourself or that you’re a failure or have let yourself or your family down.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_feeling_bad_self ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Trouble concentrating on things, such as reading the newspaper or watching television.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_trouble_concentrating ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Moving or speaking so slowly that other people could have noticed. Or the opposite, being so fidgety or restless that you have been moving around a lot more than usual.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_moving_slow ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Thoughts that you would be better off dead or of hurting yourself in some way.
                </div>
                <div class="col-6">
                    <?= @$contentData->depression_hurting_self ?>
                </div>
            </div>
        </div>
    </div>

    <p class="mt-2"><b>ANXIETY</b></p>
    <p><b>Over the last 2 weeks, how often have you been bothered by the following?</b></p>
    <p>
        (0 = Not at all, 1 = Several days, 2 = Most days, 3 = Daily)
    </p>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Feeling nervous, anxious, or on edge.
                </div>
                <div class="col-6">
                    <?= @$contentData->anxiety_feeling_nervous ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Not being able to stop or control worrying.
                </div>
                <div class="col-6">
                    <?= @$contentData->anxiety_uncontrollable_worry ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Worrying too much about different things.
                </div>
                <div class="col-6">
                    <?= @$contentData->anxiety_worry_different_things ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Trouble relaxing.
                </div>
                <div class="col-6">
                    <?= @$contentData->anxiety_trouble_relaxing ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Being so restless that it’s hard to sit still.
                </div>
                <div class="col-6">
                    <?= @$contentData->anxiety_restless ?>
                </div>
            </div>
        </div>
    </div>
    <div class="d-flex align-items-baseline mb-3">
        <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
        <div class="flex-grow-1">
            <div class="row">
                <div class="col-6">
                    Becoming easily annoyed or irritable.
                </div>
                <div class="col-6">
                    <?= @$contentData->anxiety_easily_annoyed ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
} else {
    echo '<div class="text-secondary">-</div>';
}
?>

