<?php

use App\Models\Client;
use App\Models\Point;
use App\Models\Note;
/** @var Client $patient */
/** @var Note $note */

$point = Point::getGlobalSingletonOfCategory($patient, 'LIFESTYLE_SUBSTANCE_USE', false);

if ($point && @$point->data) {
$contentData = $point->data;
?>

<div id="v2_substance_use_assessment_section" class="mt-3">

    <div class="row">
        <div class="col-md-12">
            <h5 class="bg-light p-1 font-weight-bold">SMOKING AND SUBSTANCE HISTORY</h5>
            <p><b>NICOTINE/TOBACCO</b> (i.e. cigarettes, e-cigarettes, e-cigarettes/vaping, cigars, chew, snuff)</p>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            Do you use any of the nicotine products listed above?
                        </div>
                        <div class="col-6">
                            <?= @$contentData->nicotine_i_use_any_of_listed_items_above ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php if (@$contentData->nicotine_i_use_any_of_listed_items_above == 'Yes') : ?>
        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            If yes, do you want to quit using the nicotine/tobacco products?
                        </div>
                        <div class="col-6">
                            <?= @$contentData->nicotine_do_you_want_to_quit_nicotine ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php endif; ?>

        <?php if (@$contentData->nicotine_do_you_want_to_quit_nicotine == 'Yes') : ?>
        <div class="col-md-12">
            <p class="pl-2 font-weight-bold">If yes, answer the questions below:</p>
            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                <label>How soon after you wake up do you use nicotine/tobacco? </label>
                                <div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_soon_in_mins === 'after_60_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_soon_60_min">After 60 minutes</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_soon_in_mins === '31_60_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_soon_31_60_min">31-60 minutes</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_soon_in_mins === '6_30_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_soon_6_30_min">6-30 minutes</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_soon_in_mins === 'within_5_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_soon_within_5_min">Within 5 minutes</label>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                <label>How many cigarettes do you smoke per day?</label>
                                <div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_many_cigarettes_per_day === 'after_60_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_many_10_or_less">10 or less</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_many_cigarettes_per_day === '31_60_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_many_11_20">11-20</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_many_cigarettes_per_day === '6_30_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_many_21_30">21-30</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_how_many_cigarettes_per_day === 'within_5_mins') : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_how_many_31_plus">31+</label>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <hr />

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                What age did you start smoking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_age_started_smoking ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                What is the longest time period you have stayed quit?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_longest_time_stayed_quit ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                What made you start smoking again?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_why_started_smoking_again ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                <div>
                                    Which of the following people smoke around you? <small class="text-muted">Check all that
                                        apply</small>
                                </div>
                                <div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->smokes_around_me && in_array('Friends', $contentData->smokes_around_me)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_friends_smoke_around_me">Friends</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->smokes_around_me && in_array('Family', $contentData->smokes_around_me)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_family_smoke_around_me">Family</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->smokes_around_me && in_array('Partner', $contentData->smokes_around_me)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_partner_smoke_around_me">Partner</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->smokes_around_me && in_array('Co-Workers', $contentData->smokes_around_me)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_co_workers_smoke_around_me">Co-Workers</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->smokes_around_me && in_array('Other', $contentData->smokes_around_me)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_smoke_around_me">Other</label>
                                    </div>
                                    <div class="form-group mt-3">
                                        <label>Other</label>
                                        <?= @$contentData->nicotine_other_smoke_around_me_description ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <hr>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                How many times have you seriously tried to quit?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_times_seriously_tried_to_quit ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">i.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                For your most recent quit attempt, how long did it last?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_recent_quit_duration ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">j.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Who is supporting you to quit smoking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_who_is_supporting_you_to_quit ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">k.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                What is your most important reason to quit smoking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_most_important_reason_to_quit ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <hr>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">l.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Are you currently using or have used any medications to help you quit smoking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_ever_used_medication_to_quit ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">&nbsp;</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                If yes, check with of the following medications you have used:
                                <div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_medication_used && in_array('Nicotine Patch', $contentData->nicotine_medication_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_medication_used_nicotine_patch">
                                            Nicotine Patch
                                        </label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_medication_used && in_array('Nicotine Gum', $contentData->nicotine_medication_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_medication_used_nicotine_gum">
                                            Nicotine Gum
                                        </label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_medication_used && in_array('Nicotine Lozenge', $contentData->nicotine_medication_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_medication_used_nicotine_lozenge">
                                            Nicotine Lozenge
                                        </label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_medication_used && in_array('Wellbutrin/Bupropion Pill', $contentData->nicotine_medication_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_medication_used_wellbutrin">
                                            Wellbutrin/Bupropion Pill
                                        </label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_medication_used && in_array('Chantix/Varenicline Pill', $contentData->nicotine_medication_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_medication_used_chantix">
                                            Chantix/ Varenicline Pill
                                        </label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_medication_used && in_array('Other', $contentData->nicotine_medication_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_medication_used_other">
                                            Other
                                        </label>
                                    </div>
                                    <div class="form-group mt-3">
                                        <label>Other:</label>
                                        <?= @$contentData->nicotine_medication_used_other_description ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">m.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If you used any of the medication listed above, did they help?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_medication_did_they_help ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php if(@$contentData->nicotine_medication_did_they_help === 'Yes'): ?>
            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">l.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If yes, list which ones helped:
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_medication_list_helpful_ones ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">n.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you used any methods in the past other than medications to try to quit?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->nicotine_used_any_other_methods_to_quit ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php if(@$contentData->nicotine_used_any_other_methods_to_quit === 'Yes'): ?>
            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">l.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-12">
                                If yes, check which of the following methods you have used:
                                <div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Self-help', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_self_help">Self-help</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Gradual reduction', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_gradual_reduction">Gradual reduction</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Cold turkey', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_cold_turkey">Cold turkey</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Hypnosis', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_hypnosis">Hypnosis</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Acupuncture', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_acupuncture">Acupuncture</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Acupuncture', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_special_filters">Special filters</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Vaping/e-cigarettes', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_vapinge">Vaping/e-cigarettes</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <?php if (@$contentData->nicotine_other_methods_used && in_array('Other', $contentData->nicotine_other_methods_used)) : ?>
                                        <i class="fa fa-check"></i>
                                        <?php endif; ?>
                                        <label class="form-check-label" for="nicotine_other_methods_other">Other</label>
                                    </div>

                                    <div class="form-group mt-3">
                                        <label>Other:</label>
                                        <?= @$contentData->nicotine_other_methods_other_description ?>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>



        </div>
        <?php endif; ?>

        <div class="col-md-12">
            <h6 class="font-weight-bold">ALCOHOL</h6>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="pr-2 text-secondary font-weight-bold width-30px">a.</div>
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            Do you drink alcohol?
                        </div>
                        <div class="col-6">
                            <?= @$contentData->alcohol_do_you_drink_alcohol ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php if(@$contentData->alcohol_do_you_drink_alcohol === 'Yes'): ?>
        <div class="col-md-12">
            <p class="pl-2 font-weight-bold">If yes, please answer the questions below:</p>
            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">b.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                What type of alcohol do you prefer?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_prefered_type_of_alcohol ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">c.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                On average, how many servings do you drink per day/week/month/year on average?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_how_many_servings_per_day ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">d.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you ever felt you should <b>“Cut down”</b> on your drinking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_felt_like_cutting_down ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">e.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have people <b>Annoyed</b> you by criticizing your drinking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_have_people_criticized_you ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">f.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you ever felt <b>Guilty</b> about your drinking?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_felt_guilty ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">g.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Have you ever had a drink in the morning to steady your nerves or to get rid of a hangover (<b>eye
                                    opener</b>)?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_drank_in_morning_to_get_rid_of_hangover ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="pr-2 text-secondary font-weight-bold width-30px">h.</div>
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                Do you binge drink (more than 5 drinks for men or 4 drinks for women within 2 hours)?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->alcohol_do_you_binge_drink ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


        </div>
        <?php endif; ?>

        <hr>

        <div class="col-md-12">
            <h6 class="font-weight-bold">Have you used any of the following substances in the past year?</h6>
        </div>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            Recreational drugs (cocaine, heroin, meth, etc.)
                        </div>
                        <div class="col-6">
                            <?= @$contentData->recreational_have_you_ever_used_any ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php if(@$contentData->recreational_have_you_ever_used_any === 'Yes'): ?>
        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            If yes, what level of concern do you have regarding use of the substances
                        </div>
                        <div class="col-6">
                            <?= @$contentData->recreational_level_of_concern ?>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If yes, how much substance do you usually use?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->recreational_how_much_used ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>

        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            <b>Marijuana</b>
                        </div>
                        <div class="col-6">
                            <?= @$contentData->marijuana_have_you_ever_used_marijuana ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php if(@$contentData->marijuana_have_you_ever_used_marijuana === 'Yes'): ?>
        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            If yes, what level of concern do you have regarding use of the substances
                        </div>
                        <div class="col-6">
                            <?= @$contentData->marijuana_level_of_concern ?>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <div class="d-flex align-items-baseline mb-3">
                    <div class="flex-grow-1">
                        <div class="row">
                            <div class="col-6">
                                If yes, how much substance do you usually use?
                            </div>
                            <div class="col-6">
                                <?= @$contentData->marijuana_how_much_used ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>

    </div>

    <hr>

    <div class="row">
        <div class="col-md-12">
            <h5 class="bg-light p-1 font-weight-bold">TREATMENT HISTORY</h5>
        </div>
        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            Have you ever received treatment for a mental health problem?
                        </div>
                        <div class="col-6">
                            <?= @$contentData->mental_health_ever_received_treatment ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12">
            <div class="d-flex align-items-baseline mb-3">
                <div class="flex-grow-1">
                    <div class="row">
                        <div class="col-6">
                            Have you ever received treatment for drug or alcohol use?
                        </div>
                        <div class="col-6">
                            <?= @$contentData->drug_or_alcohol_have_you_ever_received_treatment ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


</div>

<?php
} else {
    echo '<div class="text-secondary">-</div>';
}
?>

