
<div class="d-flex align-items-center mr-2">
    @if($note->is_stamped_by_supervising_physician)
        <div class="d-flex align-items-center">
            <span class="text-success mr-2"><i class="fas fa-badge-check"></i> Stamped</span>
            <span class="mr-1">by {{ $note->stampedBySupervisingPhysicianBySession->pro->displayName() }}</span>
            <span class="mr-1">at {{ friendlier_date($note->stamped_by_supervising_physician_at) }} <i class="fas fa-info-circle" title="{{ $note->stamping_note_by_supervising_physician }}"></i></span>
            @if($pro->currentMonthClientReviewRequest($patient->id))
            <div moe class="ml-2">
                <a href="#" start show class="text-danger"><i class="fas fa-stamp"></i> Undo Stamp</a>
                <form url="/api/note/undoStampAsSupervisingPhysician">
                    <input type="hidden" name="uid" value="{{ $note->uid }}">
                    <div class="mb-2">
                        <label>Are you sure?</label>
                    </div>
                    <div class="mt-3">
                        <button submit class="btn btn-sm btn-danger mr-2">Undo Stamp</button>
                        <button cancel class="btn btn-sm btn-default border">Cancel</button>
                    </div>
                </form>
            </div>
            @endif
        </div>        
    @else
        @if($note->is_flagged_for_supervising_physician_review)
            @if($pro->pro_type === 'ADMIN')
                <div class="d-flex align-items-center">
                    <span class="text-danger mr-2"><i class="fas fa-flag text-danger"></i> Flagged for Review</span>
                    <span class="mr-2">by <b>{{ $note->flaggedForSupervisingPhysicianReviewBySession->pro->displayName() }}</b> at {{ friendlier_date($note->flagged_for_supervising_physician_review_at) }}</span>            
                    <div moe class="">
                        <a href="#" start show title="Undo flag"><i class="fas fa-undo"></i> Undo</a>
                        <form url="/api/note/undoMarkAsFlaggedForSupervisingPhysicianReview">
                            <input type="hidden" name="uid" value="{{ $note->uid }}">
                            <div class="mb-2">
                                <label>Are you sure?</label>
                            </div>
                            <div class="mt-3">
                                <button submit class="btn btn-sm btn-primary mr-2">Undo Flag</button>
                                <button cancel class="btn btn-sm btn-default border">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
            @endif
            
            @if($pro->currentMonthClientReviewRequest($patient->id)) 
                <div moe class="ml-2">
                    <a href="#" start show class="text-success"><i class="fas fa-stamp"></i> Stamp Note</a>
                    <form url="/api/note/stampAsSupervisingPhysician">
                        <input type="hidden" name="uid" value="{{ $note->uid }}">
                        <div class="mb-2">
                            <label>Are you sure?</label>
                            <textarea name="memo" class="form-control"></textarea>
                        </div>
                        <div class="mt-3">
                            <button submit class="btn btn-sm btn-success mr-2">Stamp Note</button>
                            <button cancel class="btn btn-sm btn-default border">Cancel</button>
                        </div>
                    </form>
                </div>
            @endif
        @else
            @if($pro->pro_type === 'ADMIN')
            <div moe class="mr-2">
                <a href="#" start show><i class="fas fa-flag text-danger"></i> Flag Note for Review</a>
                <form url="/api/note/markAsFlaggedForSupervisingPhysicianReview">
                    <input type="hidden" name="uid" value="{{ $note->uid }}">
                    <div class="mb-2">
                        <label>Are you sure?</label>
                    </div>
                    <div class="mt-3">
                        <button submit class="btn btn-sm btn-danger mr-2">Flag Note</button>
                        <button cancel class="btn btn-sm btn-default border">Cancel</button>
                    </div>
                </form>
            </div>
            @endif
        @endif
    @endif
</div>
