<div class="">
    <div class="d-flex align-items-center mb-2">
        <p class="font-weight-bold text-secondary m-0 font-size-14">Supply Orders Summary</p>
        <span class="mx-2 text-secondary screen-only">|</span>
        <a native target="_blank" class="screen-only" open-in-stag-popup update-parent mc-initer="patient-supply-orders"
            title="{{ $patient->displayName() }} - Supply Orders" popup-style="medium"
            href="/patients/view/{{ $patient->uid }}/supply-orders?popupmode=1&note-uid={{ $note->uid }}&filter=active">
            Manage Supply Orders
        </a>
    </div>
    <div class="p-3 border">

        <p class="font-weight-bold text-secondary mb-2 mr-2">Associated with this note</p>
        <div>
            @if ($supplyOrdersOnNote && count($supplyOrdersOnNote))
                <table class="table table-sm table-bordered mb-0 bg-white">
                    <thead>
                        <tr class="bg-light">
                            <th class="px-2 text-nowrap text-secondary border-bottom-0">
                                <div class="text-ellipsis">Title</div>
                            </th>
                            <th class="px-2 text-nowrap text-secondary border-bottom-0">
                                <div class="text-ellipsis">Reason</div>
                            </th>
                            <th class="px-2 text-nowrap text-secondary border-bottom-0">
                                <div class="text-ellipsis">Created At</div>
                            </th>
                            <th class="px-2 text-nowrap text-secondary border-bottom-0">
                                <div class="text-ellipsis">Pro Signed?</div>
                            </th>
                            <th class="px-2 text-nowrap text-secondary border-bottom-0">
                                <div class="text-ellipsis">Cancelled?</div>
                            </th>
                            <th class="px-2 text-nowrap text-secondary border-bottom-0">
                                <div class="text-ellipsis">Shipment</div>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($supplyOrdersOnNote as $iSupplyOrder)
                            <tr class="">
                                <td class="px-2">
                                    {{ $iSupplyOrder->product_title }}
                                </td>
                                <td class="px-2">{{ $iSupplyOrder->reason }}</td>
                                <td class="px-2">{{ friendlier_date($iSupplyOrder->created_at) }} <i
                                        class="fas fa-info-circle text-primary" data-toggle="tooltip"
                                        data-placement="top" data-html="true"
                                        title="Created at: {{ friendlier_date_time($iSupplyOrder->created_at) }} By: {{ $iSupplyOrder->creator_pro_display_name ? $iSupplyOrder->creator_pro_display_name : '' }}"></i>
                                </td>
                                <td class="px-2">
                                    {{ $iSupplyOrder->signed_by_pro_display_name ? $iSupplyOrder->signed_by_pro_display_name : '-' }}
                                    <i class="fas fa-info-circle text-primary" data-toggle="tooltip"
                                        data-placement="top" data-html="true"
                                        title="Signed at: {{ friendlier_date_time($iSupplyOrder->pro_signed_at) }}"></i>
                                </td>
                                <td class="px-2">{{ $iSupplyOrder->is_cancelled ? 'Yes' : 'No' }}</td>
                                <td class="px-2">
                                    @if ($iSupplyOrder->shipment_id)
                                        <i class="fa fa-building"></i>
                                        {{ ucwords(strtolower($iSupplyOrder->shipment_status ? $iSupplyOrder->shipment_status : 'CREATED')) }}
                                    @elseif($iSupplyOrder->is_cleared_for_shipment)
                                        <span class="text-info">
                                            <i class="fa fa-user-nurse"></i>
                                            Cleared for shipment
                                        </span>
                                    @else
                                        <span class="text-warning-mellow">
                                            <i class="fa fa-user-nurse"></i>
                                            Not cleared for shipment
                                        </span>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            @else
                <div class="text-secondary">-</div>
            @endif
        </div>

        <hr class="my-2">

        <p class="font-weight-bold text-secondary mb-2 mr-2">Others as of {{ friendlier_date(date('Y-m-d')) }}</p>
        @if ($otherOpenSupplyOrders && count($otherOpenSupplyOrders))
            <table class="table table-sm table-bordered mb-0 bg-white">
                <thead>
                    <tr class="bg-light">
                        <th class="px-2 text-nowrap text-secondary border-bottom-0">
                            <div class="text-ellipsis">Title</div>
                        </th>
                        <th class="px-2 text-nowrap text-secondary border-bottom-0">
                            <div class="text-ellipsis">Memo</div>
                        </th>
                        <th class="px-2 text-nowrap text-secondary border-bottom-0">
                            <div class="text-ellipsis">Created At</div>
                        </th>
                        <th class="px-2 text-nowrap text-secondary border-bottom-0">
                            <div class="text-ellipsis">Pro Signed?</div>
                        </th>
                        <th class="px-2 text-nowrap text-secondary border-bottom-0">
                            <div class="text-ellipsis">Cancelled?</div>
                        </th>
                        <th class="px-2 text-nowrap text-secondary border-bottom-0">
                            <div class="text-ellipsis">Shipment</div>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($otherOpenSupplyOrders as $iSupplyOrder)
                        <tr class="">
                            <td class="px-2">
                                {{ $iSupplyOrder->product_title }}
                            </td>
                            <td class="px-2">{{ $iSupplyOrder->reason }}</td>
                            <td class="px-2">{{ friendlier_date_time($iSupplyOrder->created_at) }}</td>
                            <td class="px-2">
                                {{ $iSupplyOrder->signed_by_pro_display_name ? $iSupplyOrder->signed_by_pro_display_name : '-' }}
                            </td>
                            <td class="px-2">{{ $iSupplyOrder->is_cancelled ? 'Yes' : 'No' }}</td>
                            <td class="px-2">
                                @if ($iSupplyOrder->shipment_id)
                                    <i class="fa fa-building"></i>
                                    {{ ucwords(strtolower($iSupplyOrder->shipment_status ? $iSupplyOrder->shipment_status : 'CREATED')) }}
                                @elseif($iSupplyOrder->is_cleared_for_shipment)
                                    <span class="text-info">
                                        <i class="fa fa-user-nurse"></i>
                                        Cleared for shipment
                                    </span>
                                @else
                                    <span class="text-warning-mellow">
                                        <i class="fa fa-user-nurse"></i>
                                        Not cleared for shipment
                                    </span>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        @else
            <div class="text-secondary">-</div>
        @endif

    </div>
</div>
