<div class="d-flex flex-nowrap align-items-baseline">
    @if($measurement->is_cellular_zero)
        <i class="font-size-11 fa fa-rss"></i>
    @elseif($measurement->label === 'BP')
        {{ $measurement->sbp_mm_hg }}/{{ $measurement->dbp_mm_hg }}  <span class="font-weight-normal d-inline-block pl-2">Pulse:</span> {{ $measurement->value_pulse }} @if($measurement->value_irregular === 0)<i class="ml-2 fas fa-heartbeat" title="Irregular"></i>@endif @if($measurement->value_irregular === 1)<i class="ml-2 far fa-heart" title="Regular"></i>@endif
    @elseif($measurement->label === 'Wt. (lbs.)')
        {{ round($measurement->numeric_value) }}
    @else
        {{ $measurement->value }}
    @endif
    @if($measurement->color === 'YELLOW' || $measurement->color === 'RED')
        @if($measurement->color === 'YELLOW')
            <i class="fa fa-circle text-warning-mellow ml-2"></i>
        @else
            <i class="fa fa-circle text-danger ml-2"></i>
        @endif
        @if($measurement->careMonth && (
            ($measurement->careMonth->mcp && $pro->id === $measurement->careMonth->mcp->id) ||
            ($measurement->careMonth->rmm && $pro->id === $measurement->careMonth->rmm->id)
        ))
            @if(!$measurement->has_been_stamped_by_mcp)
                <div moe class="ml-2">
                    <a href="#" start show>Stamp</a>
                    <form url="/api/measurement/stamp" right class="width-300px">
                        <input type="hidden" name="uid" value="{{$measurement->uid}}">
                        <p class="mb-1">Stamp this measurement?</p>
                        <div class="mt-2 bg-light border p-2">
                            <div class="mb-1 text-secondary">{{ $measurement->label }}</div>
                            <div class="font-weight-bold mb-1">
                                @if($measurement->label === 'BP')
                                    {{ round($measurement->sbp_mm_hg, 2) }}/{{ round($measurement->dbp_mm_hg, 2) }} mmHg
                                    <span class="font-weight-normal d-inline-block pl-2">Pulse:</span>
                                    {{ $measurement->value_pulse }} @if($measurement->value_irregular === 0)<i class="ml-2 fas fa-heartbeat" title="Irregular"></i>@endif @if($measurement->value_irregular === 1)<i class="ml-2 far fa-heart" title="Regular"></i>@endif
                                @elseif($measurement->label === 'Wt. (lbs.)')
                                    {{ round($measurement->numeric_value, 2) }} lbs
                                @else
                                    {{ $measurement->value }}
                                @endif
                            </div>
                            <div class="text-sm">
                                <?php $timestampInSec = floor($measurement->ts / 1000); ?>
                                {{ friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN') }} EST
                            </div>
                        </div>
                        <div class="mb-2">
                            <label class="mb-1 text-secondary text-sm">Memo</label>
                            <textarea class="form-control form-control-sm" name="memo"></textarea>
                        </div>
                        <div class="form-group m-0">
                            <button submit class="btn btn-primary btn-sm mr-2">Submit</button>
                            <button cancel class="btn btn-default border btn-sm mr-2">Cancel</button>
                        </div>
                    </form>
                </div>
            @else
                <i class="fa fa-check text-secondary ml-2 text-sm"></i>
                <span class="text-secondary text-sm ml-1">Stamped</span>
            @endif
        @endif
    @endif
</div>
