<?php
$rmDisplayData = [
	'icd_1' => [
		'title' => 'ICD 1',
		'reason' => $record->rm_reason_icd1,
		'description' => $record->rm_reason_icd1description
	],
	'icd_2' => [
		'title' => 'ICD 2',
		'reason' => $record->rm_reason_icd2,
		'description' => $record->rm_reason_icd2description
	],
	'icd_3' => [
		'title' => 'ICD 3',
		'reason' => $record->rm_reason_icd3,
		'description' => $record->rm_reason_icd3description
	],
	'icd_4' => [
		'title' => 'ICD 4',
		'reason' => $record->rm_reason_icd4,
		'description' => $record->rm_reason_icd4description
	],
];
if($recordType === 'NOTE'){
	$rmDisplayData['icd_1']['reason'] = $record->note_reason_icd1;
	$rmDisplayData['icd_1']['description'] = $record->note_reason_icd1description;
	$rmDisplayData['icd_2']['reason'] = $record->note_reason_icd2;
	$rmDisplayData['icd_2']['description'] = $record->note_reason_icd2description;
	$rmDisplayData['icd_3']['reason'] = $record->note_reason_icd3;
	$rmDisplayData['icd_3']['description'] = $record->note_reason_icd3description;
	$rmDisplayData['icd_4']['reason'] = $record->note_reason_icd4;
	$rmDisplayData['icd_4']['description'] = $record->note_reason_icd4description;
}

	$submitUrl = null;
	if(@$recordType === 'CLIENT') $submitUrl = '/api/client/putRmReasons';
	if(@$recordType === 'NOTE') $submitUrl = '/api/note/putReasons';
	if(@$recordType === 'CARE_MONTH') $submitUrl = '/api/careMonth/putRmReasons';
?>
<div moe>
	<a start show onclick="return refreshICDs()"><i class="fas fa-edit on-hover-opaque"></i></a>
	<form url="{{ $submitUrl }}" class="mcp-theme-1">
		<input type="hidden" name="uid" value="{{$record->uid}}">
		<div id="icd{{@$recordType}}Component">
			<table class="table table-sm table-bordered">
				<thead class="bg-light">
					<tr>
						<th class="border-bottom-0">ICD</th>
						<th class="border-bottom-0">Description</th>
						<th class="border-bottom-0"></th>
					</tr>
				</thead>
				<tbody>
					<tr v-for="(fl,ind) in fields">
						<td>
							<input type="text" required class="icd-input" @change="checkDescription(fl)" icd-autocomplete-code :name="'reasonIcd'+(ind+1)" :data-target="'input[name=reasonIcd'+(ind+1)+'Description]'" v-model="fl.reason" :placeholder="'ICD '+(ind+1)" />
						</td>
						<td>
							<input type="text" class="form-control form-control-sm" icd-autocomplete-description :name="'reasonIcd'+(ind+1)+'Description'" v-model="fl.description">
						</td>
						<td><a href="javascript:;" @click.prevent="removeICDCode(fl)" class="text-danger"><i class="fas fa-times-circle"></i></a></td>
					</tr>
					<tr v-if="fields.length < 4">
						<td colspan="3">
							<a href="javascript:;" @click.prevent="addICDCode" class="btn w-100 py-0 btn-sm addICDBtn">+ Add ICD Code</a>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<div class="mb-2">
			<label class="font-weight-bold mb-1">{{ $recordType !== 'NOTE' ? 'RM' : '' }} Reason Memo:</label>
			<input type="text" class="form-control form-control-sm" name="reasonMemo" value="{{ $recordType === 'NOTE' ? $record->note_reason_memo : $record->rm_reason_memo }}">
		</div>
		<div>
			<button submit class="btn btn-sm btn-primary mr-1">Submit</button>
			<button cancel class="btn btn-sm btn-default border">Cancel</button>
		</div>
	</form>
</div>
<script type="text/javascript">
	function refreshICDs() {
		if (currentOrder.length) {
			$('[name=reasonIcd1]').val(currentOrder['reasonIcd1']);
			$('[name=reasonIcd1Description]').val(currentOrder['reasonIcd1Description']);
			$('[name=reasonIcd2]').val(currentOrder['reasonIcd2']);
			$('[name=reasonIcd2Description]').val(currentOrder['reasonIcd2Description']);
			$('[name=reasonIcd3]').val(currentOrder['reasonIcd3']);
			$('[name=reasonIcd3Description]').val(currentOrder['reasonIcd3Description']);
			$('[name=reasonIcd4]').val(currentOrder['reasonIcd4']);
			$('[name=reasonIcd4Description]').val(currentOrder['reasonIcd4Description']);
		}
	}
	var icdFieldsComponent = new Vue({
		el: '#icd{{@$recordType}}Component',
		delimiters: ["@{{","}}"],
		data: {
			fields: [{reason:'', description:''}],
			params: <?= json_encode($rmDisplayData) ?>
		},
		methods: {
			initFields: function() {
				var self = this;
				self.fields = [];
				for (var x = 1; x <= 4; x++) {
					if(self.params['icd_'+x].reason) {
						self.fields.push(self.params['icd_'+x])
					}
				}
				if (self.fields.length == 0) {
					self.fields.push({reason:'', description:''});
				}
			},
			removeICDCode: function(fl) {
				var self = this;
				var ind = self.fields.indexOf(fl);
				self.fields.splice(ind, 1);
			},
			checkDescription: function(fl) {
				if (fl.reason == '') {
					fl.description = '';
				}
			},
			addICDCode: function(){
				var self = this;
				self.fields.push({reason:'', description:''});
			}
		},
		mounted: function() {
			var self = this;
			self.initFields();
		}
	})
</script>
