@extends ('layouts.patient')
@section('inner-content')
    <script src="//cdn.jsdelivr.net/npm/sortablejs@1.8.4/Sortable.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/Vue.Draggable/2.20.0/vuedraggable.umd.min.js"></script>
    <div class="">
        <div class="d-flex align-items-baseline">
            <h4 class="font-weight-bold m-0 font-size-16" id="vitals-settings">Remote Therapeutic Monitoring</h4>
            <div moe relative class="ml-3">
                <a href="#" start show class="d-flex align-items-baseline" title="SMS check-in link to the patient">Send check-in link to the patient</a>
                <form right url="/api/client/sendCheckInTokenViaSmsOrEmail" class="mcp-theme-1">
                    <input type="hidden" name="uid" value="{{ $patient->uid }}">
                    <input type="hidden" name="showRtm" value="1">
                    <p class="small min-width-200px mb-2">Send Check-In link to patient?</p>
                    <div class="mb-2">
                        <label for="" class="text-sm text-secondary mb-1">Cell Number</label>
                        <input type="text" class="form-control input-sm" name="cellNumber" value="{{$patient->cell_number}}">
                    </div>
                    <div class="mb-2">
                        <label for="" class="text-sm text-secondary mb-1">Email address</label>
                        <input type="text" class="form-control input-sm" name="emailAddress" value="{{$patient->email_address}}">
                    </div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Send</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <hr class="m-neg-4">
        <div class="row">
            <div class="col-6">
                <b>Musculoskeletal</b>
                @include('app.patient.partials.rtm-msk')
            </div>
            <div class="col-6 border-left">
                <b>Pulmonary</b>
                @include('app.patient.partials.rtm-lung')
            </div>
        </div>
    </div>
@endsection
