<?php

use App\Models\Point;

/** @var \App\Models\Client $patient */

$points = Point::getIntakePointsOfCategory($patient, 'GOAL', $note);
$numRelevant = 0;
$plural = 'Goals';
?>

<?php if (!count($points)): ?>
    <div class="text-secondary">-</div>
<?php else: ?>
    <table class="table table-bordered table-xs table-cage mb-0">
    <?php $j = 0; foreach ($points as $point): $j++; ?>
        <?php $rel = $point->relevanceToNote($note); ?>
        <tr>
            <td class="width-40px px-2 {{ $rel ? 'font-weight-bold text-info':'' }}">
                @if($rel)
                    <?php $numRelevant++; ?>
                    {{ $j }}.*
                @else
                    {{ $j }}.
                @endif
            </td>
            <td class="px-2 width-300px">
                <div class="<?= $point->is_removed ? 'strike-through' : '' ?>">
                    <b><?= !!@($point->data->goal) ? @($point->data->goal) : '-' ?></b>
                </div>
            </td>
            <td class="px-2 width-300px">
                <div>
                    <?php $review = $point->childReviewAddedInNote($note); ?>
                    <?php if(!!$review && @$review->data->value): ?>
                    <span class="pr-2">{!! $review->data->value !!}</span>
                    <?php endif; ?>
                </div>
                <div class="text-nowrap">
                    <?php if ($point->is_removed): ?>
                        @if($point->removal_reason_category === 'DURING_VISIT')
                            <span class="ml-2 text-sm text-secondary">Removed during visit</span>
                        @elseif($point->removal_reason_category === 'ON_INTAKE')
                            <span class="ml-2 text-sm text-secondary">Historic</span>
                        @endif
                    <?php elseif ($point->added_in_note_id === $note->id): ?>
                        <?php if ($point->addition_reason_category === 'DURING_VISIT'): ?>
                            <span class="ml-2 text-sm text-success">* Prescribed during visit</span>
                        <?php else: ?>
                            <span class="ml-2 text-sm text-info">* Added on intake</span>
                        <?php endif;?>
                    <?php endif; ?>
                </div>
            </td>
            <td></td>
        </tr>
    <?php endforeach; ?>
    </table>
<?php endif; ?>