<?php

use App\Models\Point;

/** @var \App\Models\Client $patient */

$points = Point::getIntakePointsOfCategory($patient, 'PROBLEM', $note);
$numRelevant = 0;
$plural = 'Problems';
?>

<?php if (!count($points)): ?>
    <div class="text-secondary">-</div>
<?php else: ?>
    <div>
    <?php $j = 0; foreach ($points as $point): $j++; ?>
        <?php $rel = $point->relevanceToNote($note); ?>
       <div>
            <span class="">
                <span class="font-weight-bold <?= $point->is_removed ? 'strike-through' : '' ?> grow-till-300px" >
                    <?= !!@($point->data->name) ? @($point->data->name) : '-' ?><?= !!@($point->data->icd) ? ' / ' . @($point->data->icd) : '' ?>:
                </span>
		        <span class="text-nowrap">
                <?php if ($point->is_removed): ?>
                    @if($point->removal_reason_category === 'DURING_VISIT')
                        @if ($point->removed_in_note_id === $note->id)
                            <span class="text-sm text-secondary">Removed during visit</span>
                        @else
                            <span class="text-sm text-secondary">Removed on a previous visit</span>
                        @endif
                    @elseif($point->removal_reason_category === 'ON_INTAKE')
                        <span class="text-sm text-secondary">Historic</span>
                    @endif
                <?php elseif ($point->added_in_note_id === $note->id): ?>
                    <?php if ($point->addition_reason_category === 'DURING_VISIT'): ?>
                        <span class="text-sm text-success">* Added during visit</span>
                    <?php else: ?>
                        <span class="text-sm text-info">* Added on intake</span>
                    <?php endif;?>
                <?php endif; ?>
                </span>
            </span>
           <div class="ml-3 mb-1">
                   <?php $review = $point->childReviewAddedInNote($note); ?>
                   <?php if(!!$review && @$review->data->value): ?>
                   <span class="pr-2" style="display: inline-block">{!! $review->data->value !!}</span>
                   <?php endif; ?>
           </div>
        </div>
    <?php endforeach; ?>
    </div>
<?php endif; ?>

