<?php

use App\Models\Point;

/** @var \App\Models\Client $patient */

$points = Point::getIntakePointsOfCategory($patient, 'ALLERGY', $note);
$tracker = Point::getGlobalSingletonOfCategory($patient, 'NO_KNOWN_TRACKER');
$numRelevant = 0;
$plural = 'Allergies';
?>

<?php if($tracker && @($tracker->data->no_known_drug_allergies)): ?>
    <div class="text-secondary mb-2"><span>-</span></div>
<?php endif; ?>
<?php if($tracker && @($tracker->data->no_known_allergies_of_any_type)): ?>
    <div class="text-secondary mb-2"><span>-</span></div>
<?php endif; ?>

<?php if(!$tracker || !@($tracker->data->no_known_allergies_of_any_type)): ?>
<?php if (count($points)): ?>
<p class="mt-2 mb-1 text-secondary font-weight-bold">Allergies</p>
<table class="table table-bordered table-xs table-cage mb-0">
    <?php $j = 0; foreach ($points as $point): $j++; ?>
	<?php $rel = $point->relevanceToNote($note); ?>
        <tr>
            <td class="width-30px pr-2">
                @if($rel)
                    <?php $numRelevant++; ?>
                    {{ $j }}.
                @else
                    {{ $j }}.
                @endif
            </td>
            <td class="px-2 width-300px">
                <div class="<?= $point->is_removed ? 'strike-through' : '' ?>">
                    <?= !!@($point->data->name) ? @($point->data->name) : '-' ?>
                    
                </div>
		    </td>
            <td class="width-300px">
                <div class="pl-3">
                    <?php $review = $point->childReviewAddedInNote($note); ?>
                    <?php if(!!$review): ?>
                            <span>{!! $review->data->value !!}</span>
                    <?php endif; ?>
                </div>	
                <div class="pl-3">
                    <?php if ($point->is_removed): ?>
                            @if($point->removal_reason_category === 'DURING_VISIT')
                                <span class="text-sm text-secondary">Removed during visit</span>
                            @elseif($point->removal_reason_category === 'ON_INTAKE')
                                <span class="text-sm text-secondary">Historic</span>
                            @endif
                        <?php elseif ($point->added_in_note_id === $note->id): ?>
                            <?php if ($point->addition_reason_category === 'DURING_VISIT'): ?>
                                <span class="text-sm text-success">* Added during visit</span>
                            <?php else: ?>
                                <span class="text-sm text-info">* Added on intake</span>
                            <?php endif;?>
                        <?php endif; ?>
                </div>	

            </td>
            <td></td>
        </tr>
    <?php endforeach; ?>
</table>
<?php endif; ?>
<?php endif; ?>
