<div moe large id="cm-entry-form{{@$entry ? '-' . $entry->uid : ''}}">
    <a start show class="py-0 mb-3">{{@$entry ? 'Edit' : (@$label ?: 'Add')}}</a> 
    <form url="/api/careMonthEntry/{{@$entry ? 'updateSimpleForCm' : 'createForCm'}}" {{@$right ? 'right' : ''}} {{@$hook ? 'hook=' . $hook : ''}}>
        @if(@$entry)
            <input type="hidden" name="uid" value="{{ $entry->uid }}">
        @else
            <input type="hidden" name="careMonthUid" value="{{ $careMonth->uid }}">
        @endif
        <div class="mb-2">
            <div class="row">
                <div class="col-4 pr-0">
                    <label class="mb-1 text-sm text-secondary text-left">Pro</label>
                    <select class="form-control form-control-sm w-100" name="proUid" provider-search data-pro-uid="{{ @$entry ? $entry->pro->uid : ($pro ? $pro->uid : '') }}"
                            required>
                        <option value="">-- Select Pro --</option>
                    </select>
                </div>
                <div class="col-4 pr-0">
                    <?php
                    $sD = strtotime($careMonth->start_date);
                    $y = date('Y', $sD);
                    $m = date('m', $sD);
                    $d = date('t', $sD);
                    $yCurrent = date('Y');
                    $mCurrent = date('m');
                    $isToday = false;
                    if($y === $yCurrent && $m === $mCurrent) {
                        $d = date('d');
                        $isToday = true;
                    }
                    ?>
                    <label class="mb-1 text-sm text-secondary text-left">Date</label>
                    <input autofocus type="date" min="{{ date($y . '-' . $m . '-01') }}" max="{{ date($y . '-' . $m . '-' . $d) }}"
                           value="{{@$entry ? $entry->effective_date : (@$defaultDate ?: $careMonth->end_date)}}"
                           class="form-control form-control-sm w-100" name="effectiveDate"
                           placeholder="Effective Date" required>
                </div>
                <div class="col-4">
                    <label class="mb-1 text-sm text-secondary text-left">Minutes</label>
                    <input type="hidden" name="timeInSeconds" value="{{@$entry ? $entry->time_in_seconds : (@$defaultSeconds ?: '')}}">
                    <input type="number" min="1" max="20" name="timeInMinutes" class="form-control form-control-sm w-100 cm-time-value"
                           value="{{@$entry ? round($entry->time_in_seconds / 60, 0) : (@$defaultSeconds ? $defaultSeconds/60 : '')}}"
                           required>
                </div>
            </div>
        </div>
{{--        <div class="mb-2 border border-info p-2 mt-2 bg-light text-left">--}}
{{--            <span><i class="fa fa-phone rotateh text-dark mr-1"></i>This time entry involved interactive communication (audio, video, or in-person) with the patient and/or caretaker.</span>--}}
{{--            <div class="d-flex border-top mt-2">--}}
{{--                <label class="mt-2 mb-0 d-inline-flex align-items-center mr-3">--}}
{{--                    <input type="radio" class="mr-2" name="didProInteractWithClientAboutRm" value="true" {{((@$entry && $entry->did_pro_interact_with_client_about_rm) || @$defaultInteracted) ? 'checked' : ''}} required>--}}
{{--                    <span>Yes</span>--}}
{{--                </label>--}}
{{--                <label class="mt-2 mb-0 d-inline-flex align-items-center">--}}
{{--                    <input type="radio" class="mr-2" name="didProInteractWithClientAboutRm" value="false" {{((@$entry && $entry->did_pro_interact_with_client_about_rm) || @$defaultInteracted) ? '' : 'checked' }} required>--}}
{{--                    <span>No</span>--}}
{{--                </label>--}}
{{--            </div>--}}
{{--        </div>--}}
        <div class="mb-2">
            <div class="row">
                <div class="col-12">
                    <div cm-rte data-name="contentText">{!! @$entry ? $entry->content_text : (@$defaultComment ?: 'Reviewed patient feedback regarding ' . $type . ' instructions.') !!}</div>
                </div>
            </div>
        </div>
        <div class="d-flex align-items-center">
            <button type="button" class="btn btn-sm btn-primary mr-2" on-submit>Save</button>
            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
        </div>
    </form>
</div>
<script>
    (function() {
        function init() {
            function getFormData(form){
                var unindexed_array = form.serializeArray();
                var indexed_array = {};

                $.map(unindexed_array, function(n, i){
                    indexed_array[n['name']] = n['value'];
                });

                return indexed_array;
            };
            $(document)
                .off('input change paste keyup', '[name="timeInMinutes"]')
                .on('input change paste keyup', '[name="timeInMinutes"]', function() {
                    let form = $(this).closest('form'), val = '' + $(this).val();
                    if(!isNaN(val)) {
                        form.find('[name="timeInSeconds"]').val(+val * 60);
                    }
                });
            $('[on-submit]').off('click');
            $('[on-submit]').click(function(){
                let form = $(this).closest('form');
                let data = getFormData(form);
                data.startingTime = moment().subtract(data.timeInMinutes,'minutes').format('HH:mm');
                data.endingTime = moment().format('HH:mm');
                $.post("/api/careMonthEntry/updateTiming", data, function(response){
                    if(response.success){
                        $.post("/api/careMonthEntry/updateContent", data, function(res){
                            if(res.success){
                                toastr.success('Updated successfully!');
                                fastReload();
                            }
                        }, 'json');
                    }
                }, 'json');
            });
        }
        addMCInitializer('cm-entry-form{{@$entry ? '-' . $entry->uid : ''}}', init, '#cm-entry-form{{@$entry ? '-' . $entry->uid : ''}}');
    }).call(window);
</script>