@extends ('layouts/template')

@section('content')

    <div class="p-3 mcp-theme-1">
    <div class="card">

        <div class="card-header px-3 py-2 d-flex align-items-center">
            <strong class="">
                <i class="fas fa-user"></i>
                Patients pending coverage info/verification
            </strong>
            <select class="ml-auto max-width-300px form-control form-control-sm"
                    onchange="fastLoad('/practice-management/patients-without-coverage/' + this.value, true, false, false)">
                <option value="all" {{ !$filter || $filter === 'all' ? 'selected' : '' }}>All Pending</option>
                <option value="without-coverage-information" {{ $filter === 'without-coverage-information' ? 'selected' : '' }}>Without coverage information</option>
                <option value="pending-coverage-verification" {{ $filter === 'pending-coverage-verification' ? 'selected' : '' }}>Pending coverage verification</option>
            </select>
        </div>
        <div class="card-body p-0">
            <table class="table table-sm table-condensed p-0 m-0">
                <thead class="bg-light">
                <tr>
                    <th class="px-3 border-0 w-25">Patient</th>
                    <th class="border-0">Coverage</th>
                </tr>
                </thead>
                <tbody>
                @foreach($pendingCoverage as $pc)
                    <tr>
                        <td class="px-3 text-nowrap">{{ $pc->name_first }} {{ $pc->name_last }}</td>
                        <td>
                            <a href="/patients/view/client-primarycoverages/{{$pc->uid}}">Manage Coverage</a>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
    </div>

@endsection
