<tr data-client-uid="{{$iPatient->client_uid}}" data-care-month-uid="{{$iPatient->care_month_uid}}">
    <td class="text-right border-left-0 p-0">
        @if(@$updateModel)
            <?php
            if(!!$iPatient->entries_json) {
                $iPatient->entries_json = json_decode($iPatient->entries_json);
                $myEntries = [];
                $otherEntries = [];
                for ($i = 0; $i < count($iPatient->entries_json); $i++) {
                    if($iPatient->entries_json[$i]->proUid === $pro->uid) {
                        $myEntries[] = $iPatient->entries_json[$i];
                    }
                    else {
                        $otherEntries[] = $iPatient->entries_json[$i];
                    }
                }
                $iPatient->myEntries = $myEntries;
                $iPatient->otherEntries = $otherEntries;
            }
            if(!!$iPatient->measurements_json) {
                $iPatient->measurements_json = json_decode($iPatient->measurements_json);
            }
            else {
                $iPatient->measurements_json = [];
            }
            if(!!$iPatient->measurements_bp_json) {
                $iPatient->measurements_bp_json = json_decode($iPatient->measurements_bp_json);
                for ($i = 0; $i < count($iPatient->measurements_bp_json); $i++) {
                    $timestampInSec = floor($iPatient->measurements_bp_json[$i]->ts / 1000);
                    $iPatient->measurements_bp_json[$i]->date_display = friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN', '-', 'm/d/y');
                    $iPatient->measurements_bp_json[$i]->date_standard = friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN', '-', 'Y-m-d');
                    $iPatient->measurements_bp_json[$i]->time_display = friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN', '-', 'h:i A');
                }
            }
            else {
                $iPatient->measurements_bp_json = [];
            }
            if(!!$iPatient->measurements_weight_json) {
                $iPatient->measurements_weight_json = json_decode($iPatient->measurements_weight_json);
                for ($i = 0; $i < count($iPatient->measurements_weight_json); $i++) {
                    $timestampInSec = floor($iPatient->measurements_weight_json[$i]->ts / 1000);
                    $iPatient->measurements_weight_json[$i]->date_display = friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN', '-', 'm/d/y');
                    $iPatient->measurements_weight_json[$i]->date_standard = friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN', '-', 'Y-m-d');
                    $iPatient->measurements_weight_json[$i]->time_display = friendly_date_time_short_with_tz_from_timestamp($timestampInSec, 'EASTERN', '-', 'h:i A');
                    $iPatient->measurements_weight_json[$i]->numericValue = round($iPatient->measurements_weight_json[$i]->numericValue, 1);
                }
            }
            else {
                $iPatient->measurements_weight_json = [];
            }
            $iPatient->month_display = friendly_month($iPatient->care_month_start_date);
            ?>
            <script>
                window.RM_careMonths['{{$iPatient->care_month_uid}}'] = {!! json_encode($iPatient) !!};
            </script>
        @else
        {{-- hook for single row refresh --}}
        <script>
            addMCHook('refresh-{{$iPatient->care_month_uid}}', function() {
                console.log('I should refresh CM: {{$iPatient->care_month_uid}}');
                $.get('/practice-management/rpm-manager-row/{{$iPatient->care_month_uid}}', {
                    index: {{$index}},
                    viewingAs: '{{$viewingAs}}',
                    m: '{{request()->input('m')}}',
                    y: '{{request()->input('y')}}',
                    specificDate: '{{request()->input('specificDate')}}',
                }, _data => {
                    $('tr[data-care-month-uid="{{$iPatient->care_month_uid}}"]').replaceWith(_data);
                })
            });
        </script>
        @endif
        <div style="width: 40px; height: 28px; line-height: 28px; text-align: right; padding-right: 0.3rem;">
        {{$index}}
        </div>
    </td>
    <td class="border-left-0">
        <a href="/mc/patients/view/{{ $iPatient->client_uid }}"
           native target="_blank"
           class="text-nowrap d-block max-width-170px overflow-hidden text-ellipsis"
        >{{ $iPatient->client_name }}</a>
    </td>
    <td title="{{friendly_date($iPatient->dob)}}">{{$iPatient->age_in_years ?: '-'}}</span></td>
    @if($viewingAs !== 'RME')
        <td class="text-nowrap">
            <?php
            $reasons = [];
            if($iPatient->rm_reason_icd1) $reasons[] = $iPatient->rm_reason_icd1;
            if($iPatient->rm_reason_icd2) $reasons[] = $iPatient->rm_reason_icd2;
            if($iPatient->rm_reason_icd3) $reasons[] = $iPatient->rm_reason_icd3;
            if($iPatient->rm_reason_icd4) $reasons[] = $iPatient->rm_reason_icd4;
            $reasons = count($reasons) ? implode(', ', $reasons) : '-';
            ?>
            {{$reasons}}
        </td>
    @endif
    @if($viewingAs === 'ADMIN')
        <td class="rmgr-name-column" title="{{$iPatient->mcp_name ?: ''}}"><div class="rmgr-name-element">{{$iPatient->mcp_last_name ?: '-'}}</div></td>
        <td class="rmgr-name-column" title="{{$iPatient->rmm_name ?: ''}}"><div class="rmgr-name-element">{{$iPatient->rmm_last_name ?: '-'}}</div></td>
        <td class="rmgr-name-column" title="{{$iPatient->rme_name ?: ''}}"><div class="rmgr-name-element">{{$iPatient->rme_last_name ?: '-'}}</div></td>
    @endif
    <td><span class="text-nowrap">{{$iPatient->next_visit_date ? friendly_date($iPatient->next_visit_date) : '-'}}</span></td>
    @if(date('m') == $month && date('Y') == $year)
        <td>{{$iPatient->dslm ?: '-'}}</td>
    @endif
    <td class="{{+$iPatient->days_between_most_recent_mcp_note_date_and_end_of_care_month > 120 ? 'text-danger opacity-60' : ''}}"
        title="{{+$iPatient->days_between_most_recent_mcp_note_date_and_end_of_care_month > 120 ? 'Days between most recent visit before end of care month is > 120. Not billable.' : ''}}"
        >{{$iPatient->days_between_most_recent_mcp_note_date_and_end_of_care_month}}</td>

    <!--# Meas. Days-->
    <?php
    $icon = '';
    $label = '';
    if($iPatient->number_of_days_with_remote_measurements>=16) {
        $icon = '<i class="ml-1 fa fa-check text-success opacity-35"></i>';
    }
    else {
        if(intval(date('m')) === intval(request()->input('m')) || !request()->input('m')) {
            if($daysRemaining < 16 - $iPatient->number_of_days_with_remote_measurements) {
                $icon = '<i class="ml-1 fas fa-ban text-secondary opacity-35"></i>';
                $label = 'Not possible. Not enough days left to reach 16.';
            }
            elseif($daysRemaining > 16 - $iPatient->number_of_days_with_remote_measurements) {
                $icon = '<i class="ml-1 fa fa-bolt text-primary"></i>';
                $label = 'Possible. Ensure ' . (16 - $iPatient->number_of_days_with_remote_measurements) . ' more days with measurements before the end of the month.';
            }
            elseif($daysRemaining === 16 - $iPatient->number_of_days_with_remote_measurements) {
                $icon = '<i class="ml-1 fa fa-exclamation-triangle text-danger"></i>';
                $label = 'Possible. Ensure a measurement every day for the rest of the month.';
            }
        }
        else {
            $icon = '<i class="ml-1 fas fa-ban text-secondary opacity-35"></i>';
            $label = 'Not possible. Past month.';
        }
    }
    ?>
    <td title="{{$label}}">
        <div class="d-flex align-items-baseline flex-nowrap">
            <?php $iPatient->number_of_days_with_remote_measurements = $iPatient->number_of_days_with_remote_measurements ?: 0; ?>
            <span>{{$iPatient->number_of_days_with_remote_measurements}}</span>
            {!! $icon !!}
        </div>
    </td>
    <td>{{$iPatient->number_of_days_with_remote_bp_measurements}}</td>
    <td>{{$iPatient->number_of_days_with_remote_weight_measurements}}</td>

    <!-- latest weight/bp -->
    <td class="text-nowrap position-relative {{$iPatient->has_cellular_bp_device && $iPatient->most_recent_cellular_bp_sbp_mm_hg && $iPatient->most_recent_cellular_bp_dbp_mm_hg ? 'rpm-manager-bp-popover-trigger' : ''}} rpm-manager-popover-trigger"
        data-uid="{{$iPatient->care_month_uid}}" data-client-uid="{{$iPatient->client_uid}}" data-cm-title="{{$iPatient->client_name}} - {{friendly_month($iPatient->care_month_start_date)}}">
        @if(!$iPatient->has_cellular_bp_device)
            @if($iPatient->has_cellular_bp_meter_been_ordered)
                <span class="text-info">Ordered</span>
            @else
                <span class="text-warning-dark">Not Ordered</span>
            @endif
        @else
            @if($iPatient->most_recent_cellular_bp_sbp_mm_hg && $iPatient->most_recent_cellular_bp_dbp_mm_hg)
                @if(!$specificDate)
                    <div class="text-nowrap d-flex align-items-baseline flex-nowrap">
                        <span class="sort-data">{{$iPatient->most_recent_cellular_bp_sbp_mm_hg}}</span>/{{$iPatient->most_recent_cellular_bp_dbp_mm_hg}}
                        @if($iPatient->most_recent_cellular_bp_measurement_at)
                            <span class="text-sm text-secondary text-nowrap ml-1"
                                  title="{{friendly_date_time($iPatient->most_recent_cellular_bp_measurement_at)}}">{{friendly_date_time($iPatient->most_recent_cellular_bp_measurement_at, false)}}</span>
                        @endif
                    </div>
                @else
                    <?php $hasM = false; ?>
                    @if(!!$iPatient->measurements_bp_json)
                        @for ($i = 0; $i < count($iPatient->measurements_bp_json); $i++)
                            @if($iPatient->measurements_bp_json[$i]->date_standard === $specificDate)
                                <div class="text-nowrap d-flex align-items-baseline flex-nowrap">
                                    <span class="sort-data">{{$iPatient->measurements_bp_json[$i]->sbpMmHg}}</span>/{{$iPatient->measurements_bp_json[$i]->dbpMmHg}}
                                    <span class="text-sm text-secondary text-nowrap ml-1">{{$iPatient->measurements_bp_json[$i]->time_display}}</span>
                                </div>
                                <?php $hasM = true; ?>
                            @endif
                        @endfor
                    @endif
                    @if(!$hasM)
                        <span class="text-secondary">-</span>
                    @endif
                @endif
            @else
                <span class="text-danger opacity-60">Not used yet</span>
            @endif
        @endif
        @if($iPatient->has_cellular_bp_device && $iPatient->most_recent_cellular_bp_sbp_mm_hg && $iPatient->most_recent_cellular_bp_dbp_mm_hg)
            <div class="p-2 bg-white border rpm-manager-popover rpm-manager-bp-popover" id="rpm-manager-bp-popover-{{$iPatient->care_month_uid}}">
                <div class="font-size-16">{{ $iPatient->client_name }} - BP Measurements</div>
                <h3 class="my-2 font-size-16" id="rpm-manager-bp-caremonth-{{$iPatient->care_month_uid}}">Care Month:
                    <a href="/patients/view/{{ $iPatient->client_uid }}/care-months/view/{{$iPatient->care_month_uid}}"
                       native target="_blank"
                       open-in-stag-popup
                       update-parent="'refresh-{{$iPatient->care_month_uid}}"
                       popup-style="tall overflow-visible"
                       mc-initer="care-month-dashboard-{{$iPatient->client_uid}}"
                       title="{{$iPatient->client_name}} - {{friendly_month($iPatient->care_month_start_date)}}"
                       class="font-size-16"
                    >{{friendly_month($iPatient->care_month_start_date)}}</a>
                </h3>
                <div id="rpm-manager-bp-graph-container-{{ $iPatient->care_month_uid }}" class="mt-3 mr-3">
                    <div id="rpm-manager-bp-graph-{{ $iPatient->care_month_uid }}"></div>
                </div>
                <div class="max-height-200px overflow-overlay-on-hover mt-3">
                    <table class="table table-condensed table-sm table-bordered m-0" id="rpm-manager-bp-matrix-{{ $iPatient->care_month_uid }}">
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        @endif
    </td>
    <td class="text-nowrap position-relative {{$iPatient->has_cellular_weight_scale_device && $iPatient->most_recent_cellular_weight_value ? 'rpm-manager-weight-popover-trigger' : ''}} rpm-manager-popover-trigger"
        data-uid="{{$iPatient->care_month_uid}}" data-client-uid="{{$iPatient->client_uid}}" data-cm-title="{{$iPatient->client_name}} - {{friendly_month($iPatient->care_month_start_date)}}">
        @if(!$iPatient->has_cellular_weight_scale_device)
            @if($iPatient->has_cellular_weight_scale_been_ordered)
                <span class="text-info">Ordered</span>
            @else
                <span class="text-warning-dark">Not Ordered</span>
            @endif
        @else
            @if($iPatient->most_recent_cellular_weight_value)
                @if(!$specificDate)
                    <div class="text-nowrap d-flex align-items-baseline flex-nowrap">
                        <span class="sort-data">{{round($iPatient->most_recent_cellular_weight_value, 1)}}</span>
                        @if($iPatient->most_recent_cellular_weight_measurement_at)
                            <span class="text-sm text-secondary text-nowrap ml-1"
                                  title="{{friendly_date_time($iPatient->most_recent_cellular_weight_measurement_at)}}">{{friendly_date_time($iPatient->most_recent_cellular_weight_measurement_at, false, 'm/d')}}</span>
                        @endif
                    </div>
                @else
                    <?php $hasM = false; ?>
                    @if(!!$iPatient->measurements_weight_json)
                        @for ($i = 0; $i < count($iPatient->measurements_weight_json); $i++)
                            @if($iPatient->measurements_weight_json[$i]->date_standard === $specificDate)
                                <div class="text-nowrap d-flex align-items-baseline flex-nowrap">
                                    <span class="sort-data">{{$iPatient->measurements_weight_json[$i]->numericValue}}</span>
                                    <span class="text-sm text-secondary text-nowrap ml-1">{{$iPatient->measurements_weight_json[$i]->time_display}}</span>
                                </div>
                                <?php $hasM = true; ?>
                            @endif
                        @endfor
                    @endif
                    @if(!$hasM)
                        <span class="text-secondary">-</span>
                    @endif
                @endif
            @else
                <span class="text-danger opacity-60">Not used yet</span>
            @endif
        @endif
        @if($iPatient->has_cellular_weight_scale_device && $iPatient->most_recent_cellular_weight_value)
            <div class="p-2 bg-white border rpm-manager-popover rpm-manager-weight-popover" id="rpm-manager-weight-popover-{{$iPatient->care_month_uid}}">
                <div class="font-size-16">{{ $iPatient->client_name }} - Weight Measurements</div>
                <h3 class="my-2 font-size-16" id="rpm-manager-weight-caremonth-{{$iPatient->care_month_uid}}">Care Month:
                    <a href="/patients/view/{{ $iPatient->client_uid }}/care-months/view/{{$iPatient->care_month_uid}}"
                       native target="_blank"
                       open-in-stag-popup
                       update-parent="refresh-rpm-row"
                       popup-style="tall overflow-visible"
                       mc-initer="care-month-dashboard-{{$iPatient->client_uid}}"
                       title="{{$iPatient->client_name}} - {{friendly_month($iPatient->care_month_start_date)}}"
                       class="font-size-16"
                    >{{friendly_month($iPatient->care_month_start_date)}}</a>
                </h3>
                <div id="rpm-manager-weight-graph-container-{{ $iPatient->care_month_uid }}" class="mt-3 mr-3">
                    <div id="rpm-manager-weight-graph-{{ $iPatient->care_month_uid }}"></div>
                </div>
                <div class="max-height-200px overflow-overlay-on-hover mt-3">
                    <table class="table table-condensed table-sm table-bordered m-0" id="rpm-manager-weight-matrix-{{ $iPatient->care_month_uid }}">
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        @endif
    </td>

    <!-- entries -->
    @if($viewingAs !== 'RME')
        <td>
            @if(@$iPatient->myEntries && count($iPatient->myEntries))
                @if(!$specificDate)
                    <div class="d-flex align-items-baseline" title="Me: {{strip_tags($iPatient->myEntries[0]->contentText)}}">
                        <span class="text-info mr-1">{{round($iPatient->myEntries[0]->timeInSeconds/60)}}m</span>
                        <span class="flex-grow-1 max-width-140px text-ellipsis mr-1">{{strip_tags($iPatient->myEntries[0]->contentText)}}</span>
                        @if(gettype($iPatient->myEntries[0]->effectiveDate) === 'string')
                            <span class="text-secondary text-sm">{{friendly_date_compact($iPatient->myEntries[0]->effectiveDate)}}</span>
                        @endif
                    </div>
                @else
                    <?php $hasM = false; ?>
                    @for ($i = 0; $i < count($iPatient->myEntries); $i++)
                        @if($iPatient->myEntries[$i]->effectiveDate === $specificDate)
                            <div class="d-flex align-items-baseline" title="Me: {{strip_tags($iPatient->myEntries[$i]->contentText)}}">
                                <span class="text-info mr-1">{{round($iPatient->myEntries[$i]->timeInSeconds/60)}}m</span>
                                <span class="flex-grow-1 max-width-140px text-ellipsis">{{strip_tags($iPatient->myEntries[$i]->contentText)}}</span>
                            </div>
                            <?php $hasM = true; ?>
                        @endif
                    @endfor
                    @if(!$hasM)
                        <span class="text-secondary">-</span>
                    @endif
                @endif
            @else
                <span class="text-secondary">-</span>
            @endif
        </td>
        <td>
            @if(@$iPatient->otherEntries && count($iPatient->otherEntries))
                @if(!$specificDate)
                    <div class="d-flex align-items-baseline" title="{{$iPatient->otherEntries[0]->proNameFirst}} {{$iPatient->otherEntries[0]->proNameLast}}: {{strip_tags($iPatient->otherEntries[0]->contentText)}}">
                        @if($viewingAs === 'ADMIN')
                            <span class="text-info mr-1">{{round($iPatient->otherEntries[0]->timeInSeconds/60)}}m</span>
                        @endif
                        <span class="flex-grow-1 max-width-140px text-ellipsis mr-1">{{strip_tags($iPatient->otherEntries[0]->contentText)}}</span>
                        @if(gettype($iPatient->otherEntries[0]->effectiveDate) === 'string')
                            <span class="text-secondary text-sm">{{friendly_date_compact($iPatient->otherEntries[0]->effectiveDate)}}</span>
                        @endif
                    </div>
                @else
                    <?php $hasM = false; ?>
                    @for ($i = 0; $i < count($iPatient->otherEntries); $i++)
                        @if($iPatient->otherEntries[$i]->effectiveDate === $specificDate)
                            <div class="d-flex align-items-baseline" title="{{$iPatient->otherEntries[$i]->proNameFirst}} {{$iPatient->otherEntries[$i]->proNameLast}}: {{strip_tags($iPatient->otherEntries[$i]->contentText)}}">
                                @if($viewingAs === 'ADMIN')
                                    <span class="text-info mr-1">{{round($iPatient->otherEntries[$i]->timeInSeconds/60)}}m</span>
                                @endif
                                <span class="flex-grow-1 max-width-140px text-ellipsis">{{strip_tags($iPatient->otherEntries[$i]->contentText)}}</span>
                            </div>
                            <?php $hasM = true; ?>
                        @endif
                    @endfor
                    @if(!$hasM)
                        <span class="text-secondary">-</span>
                    @endif
                @endif
            @else
                <span class="text-secondary">-</span>
            @endif
        </td>
    @endif

    <!-- interaction -->
    <td>
        @if($viewingAs === 'ADMIN')
            <div class="d-flex align-items-baseline flex-nowrap">
                <div class="d-inline-flex align-items-baseline" title="MCP Interaction">
                    @if($iPatient->mcp_name)
                        <i class="fa fa-circle text-sm opacity-35 {{$iPatient->has_mcp_interacted_with_client_about_rm ? 'text-success' : 'text-danger'}}"></i>
                    @else
                        -
                    @endif
                    <span class="ml-1 mr-2">M</span>
                </div>
                <div class="d-inline-flex align-items-baseline" title="RMM Interaction">
                    @if($iPatient->rmm_name)
                        <i class="fa fa-circle text-sm opacity-35 {{$iPatient->has_rmm_interacted_with_client_about_rm ? 'text-success' : 'text-danger'}}"></i>
                    @else
                        -
                    @endif
                    <span class="ml-1 mr-2">R</span>
                </div>
                <div class="d-inline-flex align-items-baseline" title="Admin Interaction">
                    <i class="fa fa-circle text-sm opacity-35 {{$iPatient->has_admin_interacted_with_client_about_rm ? 'text-success' : 'text-danger'}}"></i>
                    <span class="ml-1 mr-2">A</span>
                </div>
            </div>
        @elseif($viewingAs === 'MCP')
            <div class="d-flex align-items-baseline flex-nowrap">
                <i class="fa fa-circle text-sm opacity-35 {{$iPatient->has_mcp_interacted_with_client_about_rm ? 'text-success' : 'text-danger'}}"></i>
                <span class="ml-1 mr-2">{{$iPatient->has_mcp_interacted_with_client_about_rm ? 'Yes' : 'No'}}</span>
            </div>
        @elseif($viewingAs === 'RMM')
            <div class="d-flex align-items-baseline flex-nowrap">
                <i class="fa fa-circle text-sm opacity-35 {{$iPatient->has_mcp_interacted_with_client_about_rm ? 'text-success' : 'text-danger'}}"></i>
                <span class="ml-1 mr-2">{{$iPatient->has_mcp_interacted_with_client_about_rm ? 'Yes' : 'No'}}</span>
            </div>
        @endif
    </td>

    <!--Time-->
    @if($viewingAs !== 'RME')
        <?php $dayOfTheMonth = date('j'); ?>
        @if($viewingAs === 'ADMIN' || $viewingAs === 'MCP')
            <?php $minsBilled = round($iPatient->rm_total_time_in_seconds_by_mcp / 60); ?>
            <td>
                @if($iPatient->mcp_name)
                    <div class="d-flex align-items-baseline flex-nowrap">
                        <i class="mr-1 text-sm fa fa-circle opacity-35 {{$iPatient->rm_total_time_in_seconds_by_mcp >= 1200 ? 'text-success' : 'text-danger'}}"></i>
                        <span class="text-nowrap">{{round($iPatient->rm_total_time_in_seconds_by_mcp / 60)}}:{{round($iPatient->rm_total_time_in_seconds_by_mcp % 60)}}</span>
                        @if(date('m') == $month && date('Y') == $year && $viewingAs === 'MCP')
                            <?php
                            $showAddEntry = 0;
                            $expectation = 0;
                            ?>
                            @if($dayOfTheMonth >= 7 && $minsBilled < 5)
                                <?php
                                $showAddEntry = 5 - $minsBilled;
                                $expectation = 5;
                                ?>
                            @elseif($dayOfTheMonth >= 14 && $minsBilled < 10)
                                <?php
                                $showAddEntry = 10 - $minsBilled;
                                $expectation = 10;
                                ?>
                            @elseif($dayOfTheMonth >= 21 && $minsBilled < 15)
                                <?php
                                $showAddEntry = 15 - $minsBilled;
                                $expectation = 15;
                                ?>
                            @elseif($dayOfTheMonth >= 28 && $minsBilled < 20)
                                <?php
                                $showAddEntry = 20 - $minsBilled;
                                $expectation = 20;
                                ?>
                            @endif
                            @if($showAddEntry > 0)
                                <i class="ml-1 fa fa-hourglass text-danger opacity-60 text-sm"></i>
                                <div class="ml-1" title="Total expected billing by end of today: {{$expectation}}m">
                                    @include('app.practice-management.rpm-manager.rpm_manager_care_month_add_entry_form', [
                                        'right' => true,
                                        'defaultDate' => date('Y-m-d'),
                                        'cmUid' => $iPatient->care_month_uid,
                                        'cmStartDate' => $iPatient->care_month_start_date,
                                        'cmEndDate' => $iPatient->care_month_end_date,
                                        'defaultMins' => $showAddEntry,
                                        'defaultComment' => 'I have discussed remote monitoring data to date and encouraged patient to regularly measure and follow the care plan.',
                                        'hook' => 'refresh-' . $iPatient->care_month_uid])
                                </div>
                            @endif
                        @endif
                    </div>
                @else
                    -
                @endif
            </td>
        @endif
        @if($viewingAs === 'ADMIN' || $viewingAs === 'RMM')
            <?php $minsBilled = round($iPatient->rm_total_time_in_seconds_by_rmm_pro / 60); ?>
            <td>
                @if($iPatient->rmm_name)
                    <div class="d-flex align-items-baseline flex-nowrap">
                        <i class="mr-1 text-sm fa fa-circle opacity-35 {{$iPatient->rm_total_time_in_seconds_by_rmm_pro >= 1200 ? 'text-success' : 'text-danger'}}"></i>
                        <span class="text-nowrap">{{round($iPatient->rm_total_time_in_seconds_by_rmm_pro / 60)}}:{{round($iPatient->rm_total_time_in_seconds_by_rmm_pro % 60)}}</span>
                        @if(date('m') == $month && date('Y') == $year && $viewingAs === 'RMM')
                            <?php
                            $showAddEntry = 0;
                            $expectation = 0;
                            ?>
                            @if($dayOfTheMonth >= 7 && $minsBilled < 5)
                                <?php
                                $showAddEntry = 5 - $minsBilled;
                                $expectation = 5;
                                ?>
                            @elseif($dayOfTheMonth >= 14 && $minsBilled < 10)
                                <?php
                                $showAddEntry = 10 - $minsBilled;
                                $expectation = 10;
                                ?>
                            @elseif($dayOfTheMonth >= 21 && $minsBilled < 15)
                                <?php
                                $showAddEntry = 15 - $minsBilled;
                                $expectation = 15;
                                ?>
                            @elseif($dayOfTheMonth >= 28 && $minsBilled < 20)
                                <?php
                                $showAddEntry = 20 - $minsBilled;
                                $expectation = 20;
                                ?>
                            @endif
                            @if($showAddEntry > 0)
                                <i class="ml-1 fa fa-hourglass text-danger opacity-60 text-sm"></i>
                                <div class="ml-1" title="Total expected billing by end of today: {{$expectation}}">
                                    @include('app.practice-management.rpm-manager.rpm_manager_care_month_add_entry_form', [
                                        'right' => true,
                                        'defaultDate' => date('Y-m-d'),
                                        'cmUid' => $iPatient->care_month_uid,
                                        'cmStartDate' => $iPatient->care_month_start_date,
                                        'cmEndDate' => $iPatient->care_month_end_date,
                                        'defaultMins' => $showAddEntry,
                                        'defaultComment' => 'I have discussed remote monitoring data to date and encouraged patient to regularly measure and follow the care plan.',
                                        'hook' => 'refresh-' . $iPatient->care_month_uid])
                                </div>
                            @endif
                        @endif
                    </div>
                @else
                    -
                @endif
            </td>
        @endif
        @if($viewingAs === 'ADMIN')
            <td>
                <div class="d-flex align-items-baseline flex-nowrap">
                    <i class="mr-1 text-sm fa fa-circle opacity-35 {{$iPatient->rm_total_time_in_seconds >= 1200 ? 'text-success' : 'text-danger'}}"></i>
                    <span class="text-nowrap">{{round($iPatient->rm_total_time_in_seconds / 60)}}:{{round($iPatient->rm_total_time_in_seconds % 60)}}</span>
                    <div class="ml-1" title="Add Entry">
                        @include('app.practice-management.rpm-manager.rpm_manager_care_month_add_entry_form', [
                            'right' => true,
                            'defaultDate' => date('Y-m-d'),
                            'cmUid' => $iPatient->care_month_uid,
                            'cmStartDate' => $iPatient->care_month_start_date,
                            'cmEndDate' => $iPatient->care_month_end_date,
                            'defaultComment' => 'I have discussed remote monitoring data to date and encouraged patient to regularly measure and follow the care plan.',
                            'hook' => 'refresh-' . $iPatient->care_month_uid])
                    </div>
                </div>
            </td>
        @endif
    @endif

    <!--Reimb.-->
    @if($viewingAs === 'ADMIN' || $viewingAs === 'MCP')
        <td class="text-nowrap v-sep-before p-0 text-center">
            @if($iPatient->mcp_paid)
                <i class="px-3 py-2 fas fa-dollar-sign text-success opacity-60" title="Paid"></i>
            @else
                @if($iPatient->is_billable_by_mcp)
                    @if($iPatient->is_billed_by_mcp)
                        <i class="px-3 py-2 fa fa-check text-info opacity-60" title="Billed"></i>
                    @else
                        <i class="px-3 py-2 fa fa-bolt text-primary" title="Billable"></i>
                    @endif
                @else
                    <i class="px-3 py-2 fas fa-ban text-secondary" title="Not Billable"></i>
                @endif
            @endif
        </td>
    @endif
    @if($viewingAs === 'ADMIN' || $viewingAs === 'RMM')
        <td class="text-nowrap p-0 text-center {{$viewingAs === 'RMM' ? 'v-sep-before' : ''}}">
            @if($iPatient->rmm_name)
                @if($iPatient->rmm_paid)
                    <i class="px-3 py-2 fas fa-dollar-sign text-success opacity-60" title="Paid"></i>
                @else
                    @if($iPatient->is_billable_by_rmm)
                        @if($iPatient->is_billed_by_rmm)
                            <i class="px-3 py-2 fa fa-check text-info opacity-60" title="Billed"></i>
                        @else
                            <i class="px-3 py-2 fa fa-bolt text-primary" title="Billable"></i>
                        @endif
                    @else
                        <i class="px-3 py-2 fas fa-ban text-secondary" title="Not Billable"></i>
                    @endif
                @endif
            @else
                -
            @endif
        </td>
    @endif
    @if($viewingAs === 'ADMIN' || $viewingAs === 'RME')
        <td class="text-nowrap p-0 text-center  {{$viewingAs === 'RMM' ? 'v-sep-before' : ''}}">
            @if($iPatient->rme_name)
                @if($iPatient->rme_paid)
                    <i class="px-3 py-2 fas fa-dollar-sign text-success opacity-60" title="Paid"></i>
                @else
                    @if($iPatient->is_billable_by_rme)
                        @if($iPatient->is_billed_by_rme)
                            <i class="px-3 py-2 fa fa-check text-info opacity-60" title="Billed"></i>
                        @else
                            <i class="px-3 py-2 fa fa-bolt text-primary" title="Billable"></i>
                        @endif
                    @else
                        <i class="px-3 py-2 fas fa-ban text-secondary" title="Not Billable"></i>
                    @endif
                @endif
            @else
                -
            @endif
        </td>
    @endif

    <!--Claim-->
    @if($viewingAs === 'ADMIN' && !(date('m') == $month && date('Y') == $year))
        <td class="v-sep-before p-0 text-center">
            @if($iPatient->is_99454_claiming_waived)
                <span class="px-1 py-2" title="{{$iPatient->why_claiming_99454_waived ?: ''}}">Waived</span>
            @else
                @if($iPatient->is_99454_claimable)
                    @if($iPatient->is_99454_claimed)
                        <i class="px-2 py-2 fa fa-check text-success opacity-60" title="Claimed"></i>
                    @else
                        <i class="px-2 py-2 fa fa-bolt text-primary" title="Claimable"></i>
                    @endif
                @else
                    <i class="px-2 py-2 fas fa-ban text-secondary" title="Not Claimable: {{$iPatient->why_99454_not_claimable_reason ?: ''}}"></i>
                @endif
            @endif
        </td>
        <td class=" p-0 text-center">
            @if($iPatient->is_99457_claiming_waived)
                <span class="px-1 py-2" title="{{$iPatient->why_claiming_99457_waived ?: ''}}">Waived</span>
            @else
                @if($iPatient->is_99457_claimable)
                    @if($iPatient->is_99457_claimed)
                        <i class="px-2 py-2 fa fa-check text-success opacity-60" title="Claimed"></i>
                    @else
                        <i class="px-2 py-2 fa fa-bolt text-primary" title="Claimable"></i>
                    @endif
                @else
                    <i class="px-2 py-2 fas fa-ban text-secondary" title="Not Claimable: {{$iPatient->why_99457_not_claimable_reason ?: ''}}"></i>
                @endif
            @endif
        </td>
        <td class=" p-0 text-center">
            @if($iPatient->is_99458_claiming_waived)
                <span class="px-1 py-2" title="{{$iPatient->why_claiming_99458_waived ?: ''}}">Waived</span>
            @else
                @if($iPatient->is_99458_claimable)
                    @if($iPatient->is_99458_claimed)
                        <i class="px-2 py-2 fa fa-check text-success opacity-60" title="Claimed"></i>
                    @else
                        <i class="px-2 py-2 fa fa-bolt text-primary" title="Claimable"></i>
                    @endif
                @else
                    <i class="px-2 py-2 fas fa-ban text-secondary" title="Not Claimable: {{$iPatient->why_99458_not_claimable_reason ?: ''}}"></i>
                @endif
            @endif
        </td>
    @endif

    <td class="border-right-0"></td>

</tr>
