<div class="p-3">
    @php
    $patientsAwaitingMcpVisit = $performer->pro->patientsAwaitingMcpVisitRecordsAsRd();
    @endphp
    <div class="card">
        <div class="card-body p-0">
        @if($patientsAwaitingMcpVisit && count($patientsAwaitingMcpVisit))
        <table class="table table-sm table-striped mb-0">
            <thead class="bg-light">
            <tr>
                <th class="border-0">Chart #</th>
                <th class="border-0">Name</th>
                <th class="border-0">DOB</th>
                <th class="border-0">Gender</th>
                <th class="border-0">Insurance</th>
                <th class="border-0">HCP</th>
            </tr>
            </thead>
            <tbody>
            @foreach($patientsAwaitingMcpVisit as $row)
                <tr>
                    <td class="text-nowrap">
                        {{$row->chart_number}}
                    </td>
                    <td class="pl-2">
                        <a native target="_blank" href="{{ route('patients.view.dashboard', $row) }}">
                            {{$row->displayName()}}
                        </a>
                    </td>
                    <td class="text-nowrap">
                        {{friendly_date($row->dob)}}
                    </td>
                    <td class="text-nowrap">
                        {{$row->sex}}
                    </td>
                    <td class="text-nowrap">
                        @include('app.patient.coverage_column_renderer', ['patient'=>$row])
                    </td>
                    <td class="text-nowrap">
                        {{$row->mcp->name_display ?? '' }}
                    </td>
                
                </tr>
            @endforeach
            </tbody>
        </table>
        @if($patientsAwaitingMcpVisit->hasPages())
            <div class="m-2">
                {{ $patientsAwaitingMcpVisit->onEachSide(0)->withQueryString()->links() }}
            </div>
        @endif
    @else
        <div class="p-3">
            No patients awaiting mcp visit
        </div>
    @endif
        </div>
    </div>
</div>