@extends ('layouts/template')
@section('content')

<div class="row">
    <div class="col-md-12">
        <div class="d-flex align-items-center justify-content-between">
            <h5>Stat Tree Lines</h5>
            <div>
                <button class="btn btn-sm btn-primary">Create Line</button>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Stat Tree Order Position Index</th>
                        <th>Stat Tree</th>
                        <th>Count</th>
                    </tr>
                </thead>
                @foreach($statTreeLines as $line)
                <tr>
                    <td><a href="{{ route('practice-management.statTreeLines.view.dashboard', $line) }}">{{ $line->id }}</a></td>
                    <td>{{ $line->tree_order_position_index }}</td>
                    <td>
                        @foreach($line->lineClauses as $c)
                        | {{ $c->clause_label }}
                        @endforeach
                    </td>
                    <td>
                        {{ $line->last_refresh_count }}
                    </td>
                </tr>
                @endforeach
            </table>
        </div>
    </div>
</div>

@endsection