<div id="dashboard-measurements-pending-stamping">
@php 
    $measurementsPendingReviewAsDna = $performer->pro->measurementsPendingReviewAsDna();
@endphp 
@if($measurementsPendingReviewAsDna && count($measurementsPendingReviewAsDna))
    <table class="table table-sm table-striped mb-0">
        <thead>
        <tr>
            <th class="border-bottom-0 border-top-0 text-secondary">Patient</th>
            <th class="border-bottom-0 border-top-0 text-secondary">Type</th>
            <th class="border-bottom-0 border-top-0 text-secondary">Value</th>
            <th class="border-bottom-0 border-top-0 text-secondary">Timestamp</th>
        </tr>
        </thead>
        <tbody>
        @foreach($measurementsPendingReviewAsDna as $row)
            <tr>
                <td class="pl-2">
                    <a href="/patients/view/{{$row->client->uid}}/care-months/view/{{$row->careMonth->uid}}">
                        {{$row->client->displayName()}}
                    </a>
                </td>
                <td class="text-nowrap">
                    {{$row->label}}
                </td>
                <td>
                    @if($row->label === 'BP')
                        {{ $row->sbp_mm_hg }}/{{ $row->dbp_mm_hg }}
                    @elseif($row->label === 'Wt. (lbs.)')
                        {{ round(floatval($row->numeric_value), 2) }}
                    @endif
                </td>
                <td class="text-secondary">
                    {{ friendly_date_time_short_with_tz_from_timestamp_divide1000($row->ts, 'EASTERN') }} EST
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
    <div class="m-2">
        {{ $measurementsPendingReviewAsDna->onEachSide(0)->withQueryString()->links() }}
    </div>
@else
    <div class="p-3">
        No measurement pending review
    </div>
@endif
</div>