@extends(request()->input('popupmode') ? 'layouts.empty' : 'layouts.template')
<?php
$routeName = request()->route()->getName();
?>
@section('content')
<div class="container-fluid h-100 popup-content-container">
	<div class="main-row h-100">
		<nav id="sidebarMenu" class="d-block bg-light sidebar collapse px-0">
			<div class="sidebar-sticky pt-3">
				<ul class="nav flex-column mcp-theme-1">
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'dna.my-clinical-teams.view.team-dashboard') === 0 ? 'active' : '' }}" href="{{ route('dna.my-clinical-teams.view.team-dashboard', $team) }}">Dashboard</a>
					</li>
				</ul>
				<div class="mt-3 mcp-theme-1">
					@yield('left-nav-content')
				</div>
			</div>
		</nav>
		<main role="main" class="w-100 p-0">
			<div class="card card m-0 rounded-0" id="patient-header">
				<div id="patient-header-content">
					<div class="card-header  py-1 hide-inside-ticket-popup">
						<div class="z">
							<div class=header>

								<div class="hbox mr-auto">
									<section>
										<div class="hbox">
											<h4 class="pt-name">{{ $team->internal_name }}</h4>
											<div class="d-inline-flex align-items-baseline">
												<i class="chart mr-2">{{ $team->slug }}</i>
												<span class="on-hover-show d-inline-block on-hover-opaque">
													<i class="fa fa-info-circle ml-1 text-primary"></i>
													<div class="on-hover-content py-2 pl-3 text-nowrap">
														{{ $team->web_display_name }}
													</div>
												</span>
											</div>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>Url:</b></span>
											<a native target="_blank" href="{{config('app.stagfe6_url') . '/' . $team->slug}}">{{ $team->slug }}</a>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>Pro:</b></span>
											<span>{{ $team->mcp ? $team->mcp->displayName() : '---' }}</span>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>Assistant:</b></span>
											<span>{{ $team->assistant ? $team->assistant->displayName() : '---' }}</span>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>RD:</b></span>
											<span>{{ $team->rd ? $team->rd->displayName() : '---' }}</span>
										</div>
									</section>
									<section>
										<div class="hbox">
											<span class="mr-2"><b>Web Display Email:</b></span>
											<span>{{ $team->web_display_email_address ?? '---' }}</span>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>Web Display Name:</b></span>
											<span>{{ $team->web_display_name ?? '---' }}</span>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>Web Display Phone:</b></span>
											<span>{{ $team->web_display_phone_number ?? '---' }}</span>
										</div>
										<div class="hbox">
											<span class="mr-2"><b>Web Display Title:</b></span>
											<span>{{ $team->web_display_title ?? '---' }}</span>
										</div>
									</section>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card-body">
					<div class="mcp-theme-1">
						@yield('inner-content')
					</div>
				</div>
			</div>
		</main>
	</div>
</div>

@endsection